-- Simple unit test to test time zones

dofile("../timecore.lua")

SUMMERTIME_OFFSET=2
WINTERTIME_OFFSET=1

-- This functions expects to be executed in Germany, 
-- so resultingHourDiff is 1 in wintertime
-- and 2 in summertime
function checkTime(yearIn, monthIn, dayIn, hourIn, minutesIn, secondsIn,dowIn, resultingHourDiff)
    -- Generate a time struct from the given parameter
    time = {}
    time.year = yearIn
    time.month = monthIn
    time.day = dayIn
    time.hour = hourIn
    time.minute = minutesIn
    time.second = secondsIn
    time.dow = dowIn
    -- the test itself
    local summerTime = isSummerTime(time)
    if ((resultingHourDiff == SUMMERTIME_OFFSET and not (summerTime == true)) or (resultingHourDiff == WINTERTIME_OFFSET and not (summerTime == false))) then
        print(yearIn .. "-" .. string.format("%0.2d", monthIn) .. "-" .. string.format("%0.2d", dayIn) .. " " .. string.format("%0.2d", hourIn) .. ":" .. string.format("%0.2d", minutesIn) .. ":" .. string.format("%0.2d", secondsIn) .. " (dow:" .. dowIn .. ") was not GMT+" .. resultingHourDiff .. "  ( summer time was " .. tostring(summerTime) .. ")" )
        os.exit(1)
    else
        print(yearIn .. "-" .. string.format("%0.2d", monthIn) .. "-" .. string.format("%0.2d", dayIn) .. " " .. string.format("%0.2d", hourIn) .. ":" .. string.format("%0.2d", minutesIn) .. ":" .. string.format("%0.2d", secondsIn) .. " summertime is " .. tostring(summerTime) .. " (GMT+" .. resultingHourDiff .. ")" )
    end
end
checkTime(2017, 1, 1, 16, 18, 43, 7, 1)
checkTime(2017, 1, 2, 13, 23, 17, 1, 1)
checkTime(2017, 1, 3, 15, 21, 16, 2, 1)
checkTime(2017, 1, 4, 16, 31, 59, 3, 1)
checkTime(2017, 1, 5, 19, 33, 17, 4, 1)
checkTime(2017, 1, 6, 0, 2, 3, 5, 1)
checkTime(2017, 1, 7, 15, 8, 18, 6, 1)
checkTime(2017, 1, 8, 16, 47, 29, 7, 1)
checkTime(2017, 1, 9, 5, 44, 26, 1, 1)
checkTime(2017, 1, 10, 4, 1, 59, 2, 1)
checkTime(2017, 1, 11, 9, 43, 25, 3, 1)
checkTime(2017, 1, 12, 16, 52, 11, 4, 1)
checkTime(2017, 1, 13, 16, 36, 10, 5, 1)
checkTime(2017, 1, 14, 5, 0, 47, 6, 1)
checkTime(2017, 1, 15, 19, 54, 26, 7, 1)
checkTime(2017, 1, 16, 1, 47, 50, 1, 1)
checkTime(2017, 1, 17, 19, 52, 4, 2, 1)
checkTime(2017, 1, 18, 13, 41, 9, 3, 1)
checkTime(2017, 1, 19, 17, 45, 32, 4, 1)
checkTime(2017, 1, 20, 11, 0, 46, 5, 1)
checkTime(2017, 1, 21, 6, 11, 46, 6, 1)
checkTime(2017, 1, 22, 8, 4, 35, 7, 1)
checkTime(2017, 1, 23, 14, 55, 39, 1, 1)
checkTime(2017, 1, 24, 8, 45, 49, 2, 1)
checkTime(2017, 1, 25, 7, 14, 14, 3, 1)
checkTime(2017, 1, 26, 16, 16, 22, 4, 1)
checkTime(2017, 1, 27, 1, 45, 5, 5, 1)
checkTime(2017, 1, 28, 21, 9, 27, 6, 1)
checkTime(2017, 1, 29, 17, 50, 53, 7, 1)
checkTime(2017, 1, 30, 6, 42, 21, 1, 1)
checkTime(2017, 1, 31, 17, 15, 3, 2, 1)
checkTime(2017, 2, 1, 16, 32, 31, 3, 1)
checkTime(2017, 2, 2, 11, 59, 9, 4, 1)
checkTime(2017, 2, 3, 7, 46, 6, 5, 1)
checkTime(2017, 2, 4, 17, 44, 22, 6, 1)
checkTime(2017, 2, 5, 12, 4, 24, 7, 1)
checkTime(2017, 2, 6, 23, 19, 23, 1, 1)
checkTime(2017, 2, 7, 13, 36, 9, 2, 1)
checkTime(2017, 2, 8, 2, 56, 53, 3, 1)
checkTime(2017, 2, 9, 7, 17, 10, 4, 1)
checkTime(2017, 2, 10, 3, 17, 9, 5, 1)
checkTime(2017, 2, 11, 8, 11, 45, 6, 1)
checkTime(2017, 2, 12, 2, 34, 7, 7, 1)
checkTime(2017, 2, 13, 5, 10, 23, 1, 1)
checkTime(2017, 2, 14, 12, 34, 43, 2, 1)
checkTime(2017, 2, 15, 10, 34, 12, 3, 1)
checkTime(2017, 2, 16, 1, 3, 0, 4, 1)
checkTime(2017, 2, 17, 5, 17, 30, 5, 1)
checkTime(2017, 2, 18, 20, 54, 18, 6, 1)
checkTime(2017, 2, 19, 22, 24, 17, 7, 1)
checkTime(2017, 2, 20, 11, 44, 32, 1, 1)
checkTime(2017, 2, 21, 11, 31, 5, 2, 1)
checkTime(2017, 2, 22, 16, 24, 8, 3, 1)
checkTime(2017, 2, 23, 14, 14, 3, 4, 1)
checkTime(2017, 2, 24, 15, 52, 16, 5, 1)
checkTime(2017, 2, 25, 5, 53, 32, 6, 1)
checkTime(2017, 2, 26, 12, 53, 21, 7, 1)
checkTime(2017, 2, 27, 0, 37, 11, 1, 1)
checkTime(2017, 2, 28, 20, 44, 9, 2, 1)
--Time 2017-2-29 6:47:0 is not valid
--Time 2017-2-30 14:36:56 is not valid
--Time 2017-2-31 14:13:10 is not valid
checkTime(2017, 3, 1, 12, 34, 2, 3, 1)
checkTime(2017, 3, 2, 0, 33, 36, 4, 1)
checkTime(2017, 3, 3, 1, 3, 7, 5, 1)
checkTime(2017, 3, 4, 6, 47, 22, 6, 1)
checkTime(2017, 3, 5, 17, 36, 13, 7, 1)
checkTime(2017, 3, 6, 16, 37, 44, 1, 1)
checkTime(2017, 3, 7, 3, 2, 38, 2, 1)
checkTime(2017, 3, 8, 1, 32, 32, 3, 1)
checkTime(2017, 3, 9, 17, 38, 30, 4, 1)
checkTime(2017, 3, 10, 9, 2, 56, 5, 1)
checkTime(2017, 3, 11, 17, 16, 52, 6, 1)
checkTime(2017, 3, 12, 18, 43, 18, 7, 1)
checkTime(2017, 3, 13, 6, 23, 9, 1, 1)
checkTime(2017, 3, 14, 14, 22, 18, 2, 1)
checkTime(2017, 3, 15, 4, 54, 14, 3, 1)
checkTime(2017, 3, 16, 7, 4, 58, 4, 1)
checkTime(2017, 3, 17, 2, 18, 11, 5, 1)
checkTime(2017, 3, 18, 16, 55, 1, 6, 1)
checkTime(2017, 3, 19, 20, 43, 36, 7, 1)
checkTime(2017, 3, 20, 2, 21, 57, 1, 1)
checkTime(2017, 3, 21, 3, 2, 58, 2, 1)
checkTime(2017, 3, 22, 7, 50, 15, 3, 1)
checkTime(2017, 3, 23, 8, 14, 54, 4, 1)
checkTime(2017, 3, 24, 12, 17, 9, 5, 1)
checkTime(2017, 3, 25, 4, 28, 53, 6, 1)
checkTime(2017, 3, 26, 19, 40, 32, 7, 2)
checkTime(2017, 3, 27, 5, 38, 25, 1, 2)
checkTime(2017, 3, 28, 18, 0, 0, 2, 2)
checkTime(2017, 3, 29, 23, 47, 15, 3, 2)
checkTime(2017, 3, 30, 18, 41, 30, 4, 2)
checkTime(2017, 3, 31, 2, 31, 47, 5, 2)
checkTime(2017, 4, 1, 23, 59, 8, 6, 2)
checkTime(2017, 4, 2, 23, 1, 17, 7, 2)
checkTime(2017, 4, 3, 11, 45, 10, 1, 2)
checkTime(2017, 4, 4, 2, 24, 46, 2, 2)
checkTime(2017, 4, 5, 2, 6, 54, 3, 2)
checkTime(2017, 4, 6, 18, 19, 40, 4, 2)
checkTime(2017, 4, 7, 13, 26, 7, 5, 2)
checkTime(2017, 4, 8, 18, 50, 5, 6, 2)
checkTime(2017, 4, 9, 23, 29, 11, 7, 2)
checkTime(2017, 4, 10, 20, 26, 30, 1, 2)
checkTime(2017, 4, 11, 7, 3, 52, 2, 2)
checkTime(2017, 4, 12, 10, 18, 20, 3, 2)
checkTime(2017, 4, 13, 3, 28, 34, 4, 2)
checkTime(2017, 4, 14, 6, 53, 43, 5, 2)
checkTime(2017, 4, 15, 0, 30, 21, 6, 2)
checkTime(2017, 4, 16, 20, 56, 46, 7, 2)
checkTime(2017, 4, 17, 19, 46, 45, 1, 2)
checkTime(2017, 4, 18, 17, 40, 24, 2, 2)
checkTime(2017, 4, 19, 20, 10, 44, 3, 2)
checkTime(2017, 4, 20, 12, 56, 30, 4, 2)
checkTime(2017, 4, 21, 23, 43, 14, 5, 2)
checkTime(2017, 4, 22, 10, 40, 1, 6, 2)
checkTime(2017, 4, 23, 5, 30, 54, 7, 2)
checkTime(2017, 4, 24, 8, 22, 38, 1, 2)
checkTime(2017, 4, 25, 8, 17, 23, 2, 2)
checkTime(2017, 4, 26, 2, 49, 9, 3, 2)
checkTime(2017, 4, 27, 17, 31, 38, 4, 2)
checkTime(2017, 4, 28, 17, 20, 20, 5, 2)
checkTime(2017, 4, 29, 8, 41, 31, 6, 2)
checkTime(2017, 4, 30, 3, 19, 10, 7, 2)
--Time 2017-4-31 19:20:40 is not valid
checkTime(2017, 5, 1, 5, 52, 27, 1, 2)
checkTime(2017, 5, 2, 17, 51, 20, 2, 2)
checkTime(2017, 5, 3, 14, 25, 3, 3, 2)
checkTime(2017, 5, 4, 0, 42, 35, 4, 2)
checkTime(2017, 5, 5, 14, 55, 51, 5, 2)
checkTime(2017, 5, 6, 11, 49, 49, 6, 2)
checkTime(2017, 5, 7, 7, 6, 27, 7, 2)
checkTime(2017, 5, 8, 20, 10, 42, 1, 2)
checkTime(2017, 5, 9, 17, 17, 14, 2, 2)
checkTime(2017, 5, 10, 16, 11, 32, 3, 2)
checkTime(2017, 5, 11, 3, 48, 22, 4, 2)
checkTime(2017, 5, 12, 2, 29, 9, 5, 2)
checkTime(2017, 5, 13, 10, 8, 56, 6, 2)
checkTime(2017, 5, 14, 23, 21, 19, 7, 2)
checkTime(2017, 5, 15, 7, 34, 0, 1, 2)
checkTime(2017, 5, 16, 8, 49, 43, 2, 2)
checkTime(2017, 5, 17, 7, 24, 23, 3, 2)
checkTime(2017, 5, 18, 23, 19, 26, 4, 2)
checkTime(2017, 5, 19, 2, 10, 59, 5, 2)
checkTime(2017, 5, 20, 13, 58, 57, 6, 2)
checkTime(2017, 5, 21, 23, 14, 38, 7, 2)
checkTime(2017, 5, 22, 22, 31, 40, 1, 2)
checkTime(2017, 5, 23, 0, 29, 29, 2, 2)
checkTime(2017, 5, 24, 1, 27, 56, 3, 2)
checkTime(2017, 5, 25, 10, 4, 51, 4, 2)
checkTime(2017, 5, 26, 16, 48, 45, 5, 2)
checkTime(2017, 5, 27, 19, 36, 9, 6, 2)
checkTime(2017, 5, 28, 10, 38, 2, 7, 2)
checkTime(2017, 5, 29, 10, 10, 17, 1, 2)
checkTime(2017, 5, 30, 10, 26, 30, 2, 2)
checkTime(2017, 5, 31, 2, 36, 30, 3, 2)
checkTime(2017, 6, 1, 18, 5, 28, 4, 2)
checkTime(2017, 6, 2, 14, 57, 21, 5, 2)
checkTime(2017, 6, 3, 22, 2, 15, 6, 2)
checkTime(2017, 6, 4, 0, 17, 45, 7, 2)
checkTime(2017, 6, 5, 6, 24, 25, 1, 2)
checkTime(2017, 6, 6, 11, 51, 41, 2, 2)
checkTime(2017, 6, 7, 12, 6, 1, 3, 2)
checkTime(2017, 6, 8, 3, 54, 58, 4, 2)
checkTime(2017, 6, 9, 5, 51, 15, 5, 2)
checkTime(2017, 6, 10, 3, 4, 43, 6, 2)
checkTime(2017, 6, 11, 23, 54, 32, 7, 2)
checkTime(2017, 6, 12, 21, 38, 9, 1, 2)
checkTime(2017, 6, 13, 15, 38, 59, 2, 2)
checkTime(2017, 6, 14, 18, 22, 32, 3, 2)
checkTime(2017, 6, 15, 14, 35, 27, 4, 2)
checkTime(2017, 6, 16, 14, 58, 9, 5, 2)
checkTime(2017, 6, 17, 22, 26, 18, 6, 2)
checkTime(2017, 6, 18, 3, 9, 50, 7, 2)
checkTime(2017, 6, 19, 16, 44, 57, 1, 2)
checkTime(2017, 6, 20, 14, 50, 38, 2, 2)
checkTime(2017, 6, 21, 22, 26, 43, 3, 2)
checkTime(2017, 6, 22, 18, 58, 25, 4, 2)
checkTime(2017, 6, 23, 1, 12, 7, 5, 2)
checkTime(2017, 6, 24, 12, 4, 59, 6, 2)
checkTime(2017, 6, 25, 19, 59, 36, 7, 2)
checkTime(2017, 6, 26, 8, 45, 54, 1, 2)
checkTime(2017, 6, 27, 22, 33, 44, 2, 2)
checkTime(2017, 6, 28, 1, 59, 25, 3, 2)
checkTime(2017, 6, 29, 14, 34, 44, 4, 2)
checkTime(2017, 6, 30, 4, 25, 22, 5, 2)
--Time 2017-6-31 4:36:47 is not valid
checkTime(2017, 7, 1, 20, 43, 42, 6, 2)
checkTime(2017, 7, 2, 17, 25, 19, 7, 2)
checkTime(2017, 7, 3, 17, 26, 52, 1, 2)
checkTime(2017, 7, 4, 10, 28, 46, 2, 2)
checkTime(2017, 7, 5, 17, 13, 36, 3, 2)
checkTime(2017, 7, 6, 20, 29, 39, 4, 2)
checkTime(2017, 7, 7, 1, 1, 58, 5, 2)
checkTime(2017, 7, 8, 12, 44, 49, 6, 2)
checkTime(2017, 7, 9, 21, 11, 9, 7, 2)
checkTime(2017, 7, 10, 17, 44, 18, 1, 2)
checkTime(2017, 7, 11, 23, 22, 49, 2, 2)
checkTime(2017, 7, 12, 8, 35, 35, 3, 2)
checkTime(2017, 7, 13, 17, 1, 48, 4, 2)
checkTime(2017, 7, 14, 23, 23, 21, 5, 2)
checkTime(2017, 7, 15, 16, 58, 41, 6, 2)
checkTime(2017, 7, 16, 15, 58, 15, 7, 2)
checkTime(2017, 7, 17, 9, 8, 45, 1, 2)
checkTime(2017, 7, 18, 15, 58, 1, 2, 2)
checkTime(2017, 7, 19, 15, 51, 28, 3, 2)
checkTime(2017, 7, 20, 18, 4, 3, 4, 2)
checkTime(2017, 7, 21, 15, 4, 51, 5, 2)
checkTime(2017, 7, 22, 7, 9, 31, 6, 2)
checkTime(2017, 7, 23, 23, 22, 40, 7, 2)
checkTime(2017, 7, 24, 10, 16, 16, 1, 2)
checkTime(2017, 7, 25, 7, 25, 3, 2, 2)
checkTime(2017, 7, 26, 17, 2, 38, 3, 2)
checkTime(2017, 7, 27, 16, 4, 15, 4, 2)
checkTime(2017, 7, 28, 5, 4, 13, 5, 2)
checkTime(2017, 7, 29, 21, 25, 32, 6, 2)
checkTime(2017, 7, 30, 11, 47, 38, 7, 2)
checkTime(2017, 7, 31, 4, 12, 0, 1, 2)
checkTime(2017, 8, 1, 12, 29, 51, 2, 2)
checkTime(2017, 8, 2, 2, 50, 34, 3, 2)
checkTime(2017, 8, 3, 4, 54, 18, 4, 2)
checkTime(2017, 8, 4, 22, 21, 6, 5, 2)
checkTime(2017, 8, 5, 7, 50, 19, 6, 2)
checkTime(2017, 8, 6, 22, 27, 7, 7, 2)
checkTime(2017, 8, 7, 1, 4, 49, 1, 2)
checkTime(2017, 8, 8, 16, 0, 37, 2, 2)
checkTime(2017, 8, 9, 9, 21, 32, 3, 2)
checkTime(2017, 8, 10, 10, 0, 12, 4, 2)
checkTime(2017, 8, 11, 18, 18, 28, 5, 2)
checkTime(2017, 8, 12, 19, 49, 44, 6, 2)
checkTime(2017, 8, 13, 6, 21, 1, 7, 2)
checkTime(2017, 8, 14, 3, 46, 30, 1, 2)
checkTime(2017, 8, 15, 0, 17, 41, 2, 2)
checkTime(2017, 8, 16, 22, 51, 34, 3, 2)
checkTime(2017, 8, 17, 4, 30, 31, 4, 2)
checkTime(2017, 8, 18, 1, 11, 18, 5, 2)
checkTime(2017, 8, 19, 0, 23, 0, 6, 2)
checkTime(2017, 8, 20, 11, 36, 15, 7, 2)
checkTime(2017, 8, 21, 17, 22, 50, 1, 2)
checkTime(2017, 8, 22, 15, 45, 14, 2, 2)
checkTime(2017, 8, 23, 3, 37, 52, 3, 2)
checkTime(2017, 8, 24, 17, 36, 19, 4, 2)
checkTime(2017, 8, 25, 10, 52, 33, 5, 2)
checkTime(2017, 8, 26, 1, 51, 24, 6, 2)
checkTime(2017, 8, 27, 21, 59, 51, 7, 2)
checkTime(2017, 8, 28, 10, 10, 19, 1, 2)
checkTime(2017, 8, 29, 22, 50, 31, 2, 2)
checkTime(2017, 8, 30, 4, 58, 34, 3, 2)
checkTime(2017, 8, 31, 21, 6, 0, 4, 2)
checkTime(2017, 9, 1, 13, 25, 10, 5, 2)
checkTime(2017, 9, 2, 5, 39, 56, 6, 2)
checkTime(2017, 9, 3, 20, 44, 33, 7, 2)
checkTime(2017, 9, 4, 10, 12, 21, 1, 2)
checkTime(2017, 9, 5, 23, 54, 29, 2, 2)
checkTime(2017, 9, 6, 12, 5, 2, 3, 2)
checkTime(2017, 9, 7, 15, 34, 42, 4, 2)
checkTime(2017, 9, 8, 20, 57, 21, 5, 2)
checkTime(2017, 9, 9, 23, 13, 57, 6, 2)
checkTime(2017, 9, 10, 3, 15, 16, 7, 2)
checkTime(2017, 9, 11, 18, 20, 42, 1, 2)
checkTime(2017, 9, 12, 7, 40, 57, 2, 2)
checkTime(2017, 9, 13, 17, 18, 3, 3, 2)
checkTime(2017, 9, 14, 0, 24, 52, 4, 2)
checkTime(2017, 9, 15, 15, 43, 35, 5, 2)
checkTime(2017, 9, 16, 22, 41, 13, 6, 2)
checkTime(2017, 9, 17, 11, 2, 11, 7, 2)
checkTime(2017, 9, 18, 9, 20, 0, 1, 2)
checkTime(2017, 9, 19, 2, 34, 16, 2, 2)
checkTime(2017, 9, 20, 23, 8, 40, 3, 2)
checkTime(2017, 9, 21, 13, 4, 57, 4, 2)
checkTime(2017, 9, 22, 7, 16, 5, 5, 2)
checkTime(2017, 9, 23, 17, 1, 9, 6, 2)
checkTime(2017, 9, 24, 20, 47, 33, 7, 2)
checkTime(2017, 9, 25, 11, 22, 20, 1, 2)
checkTime(2017, 9, 26, 23, 13, 35, 2, 2)
checkTime(2017, 9, 27, 17, 3, 46, 3, 2)
checkTime(2017, 9, 28, 6, 21, 17, 4, 2)
checkTime(2017, 9, 29, 17, 34, 38, 5, 2)
checkTime(2017, 9, 30, 23, 58, 51, 6, 2)
--Time 2017-9-31 14:26:39 is not valid
checkTime(2017, 10, 1, 6, 50, 56, 7, 2)
checkTime(2017, 10, 2, 5, 17, 22, 1, 2)
checkTime(2017, 10, 3, 23, 23, 32, 2, 2)
checkTime(2017, 10, 4, 1, 11, 11, 3, 2)
checkTime(2017, 10, 5, 0, 41, 31, 4, 2)
checkTime(2017, 10, 6, 17, 50, 26, 5, 2)
checkTime(2017, 10, 7, 17, 45, 20, 6, 2)
checkTime(2017, 10, 8, 2, 10, 39, 7, 2)
checkTime(2017, 10, 9, 6, 47, 0, 1, 2)
checkTime(2017, 10, 10, 19, 19, 17, 2, 2)
checkTime(2017, 10, 11, 13, 10, 47, 3, 2)
checkTime(2017, 10, 12, 19, 36, 43, 4, 2)
checkTime(2017, 10, 13, 19, 33, 32, 5, 2)
checkTime(2017, 10, 14, 10, 8, 30, 6, 2)
checkTime(2017, 10, 15, 23, 51, 36, 7, 2)
checkTime(2017, 10, 16, 16, 6, 40, 1, 2)
checkTime(2017, 10, 17, 16, 10, 6, 2, 2)
checkTime(2017, 10, 18, 3, 17, 17, 3, 2)
checkTime(2017, 10, 19, 19, 11, 15, 4, 2)
checkTime(2017, 10, 20, 15, 28, 22, 5, 2)
checkTime(2017, 10, 21, 20, 43, 19, 6, 2)
checkTime(2017, 10, 22, 13, 26, 51, 7, 2)
checkTime(2017, 10, 23, 13, 36, 43, 1, 2)
checkTime(2017, 10, 24, 5, 48, 38, 2, 2)
checkTime(2017, 10, 25, 2, 57, 17, 3, 2)
checkTime(2017, 10, 26, 1, 25, 40, 4, 2)
checkTime(2017, 10, 27, 14, 35, 50, 5, 2)
checkTime(2017, 10, 28, 8, 35, 42, 6, 2)
checkTime(2017, 10, 29, 1, 15, 57, 7, 2)
checkTime(2017, 10, 30, 22, 17, 37, 1, 1)
checkTime(2017, 10, 31, 4, 49, 21, 2, 1)
checkTime(2017, 11, 1, 14, 5, 11, 3, 1)
checkTime(2017, 11, 2, 6, 20, 22, 4, 1)
checkTime(2017, 11, 3, 23, 38, 4, 5, 1)
checkTime(2017, 11, 4, 23, 22, 19, 6, 1)
checkTime(2017, 11, 5, 18, 35, 43, 7, 1)
checkTime(2017, 11, 6, 9, 43, 6, 1, 1)
checkTime(2017, 11, 7, 8, 17, 20, 2, 1)
checkTime(2017, 11, 8, 1, 14, 58, 3, 1)
checkTime(2017, 11, 9, 6, 41, 36, 4, 1)
checkTime(2017, 11, 10, 16, 17, 35, 5, 1)
checkTime(2017, 11, 11, 0, 23, 33, 6, 1)
checkTime(2017, 11, 12, 16, 42, 10, 7, 1)
checkTime(2017, 11, 13, 2, 38, 13, 1, 1)
checkTime(2017, 11, 14, 13, 22, 29, 2, 1)
checkTime(2017, 11, 15, 14, 14, 8, 3, 1)
checkTime(2017, 11, 16, 21, 52, 22, 4, 1)
checkTime(2017, 11, 17, 12, 40, 33, 5, 1)
checkTime(2017, 11, 18, 12, 32, 25, 6, 1)
checkTime(2017, 11, 19, 6, 31, 36, 7, 1)
checkTime(2017, 11, 20, 14, 22, 7, 1, 1)
checkTime(2017, 11, 21, 0, 24, 58, 2, 1)
checkTime(2017, 11, 22, 7, 27, 54, 3, 1)
checkTime(2017, 11, 23, 8, 4, 44, 4, 1)
checkTime(2017, 11, 24, 7, 7, 14, 5, 1)
checkTime(2017, 11, 25, 3, 10, 55, 6, 1)
checkTime(2017, 11, 26, 10, 28, 50, 7, 1)
checkTime(2017, 11, 27, 4, 33, 47, 1, 1)
checkTime(2017, 11, 28, 17, 20, 9, 2, 1)
checkTime(2017, 11, 29, 19, 11, 4, 3, 1)
checkTime(2017, 11, 30, 18, 2, 45, 4, 1)
--Time 2017-11-31 17:35:35 is not valid
checkTime(2017, 12, 1, 16, 44, 59, 5, 1)
checkTime(2017, 12, 2, 18, 41, 53, 6, 1)
checkTime(2017, 12, 3, 14, 2, 51, 7, 1)
checkTime(2017, 12, 4, 12, 17, 40, 1, 1)
checkTime(2017, 12, 5, 4, 13, 6, 2, 1)
checkTime(2017, 12, 6, 6, 19, 36, 3, 1)
checkTime(2017, 12, 7, 4, 30, 15, 4, 1)
checkTime(2017, 12, 8, 3, 3, 18, 5, 1)
checkTime(2017, 12, 9, 6, 8, 24, 6, 1)
checkTime(2017, 12, 10, 10, 17, 3, 7, 1)
checkTime(2017, 12, 11, 16, 38, 9, 1, 1)
checkTime(2017, 12, 12, 19, 21, 2, 2, 1)
checkTime(2017, 12, 13, 7, 47, 9, 3, 1)
checkTime(2017, 12, 14, 16, 2, 30, 4, 1)
checkTime(2017, 12, 15, 19, 14, 59, 5, 1)
checkTime(2017, 12, 16, 11, 24, 33, 6, 1)
checkTime(2017, 12, 17, 10, 30, 6, 7, 1)
checkTime(2017, 12, 18, 7, 7, 49, 1, 1)
checkTime(2017, 12, 19, 9, 40, 34, 2, 1)
checkTime(2017, 12, 20, 6, 37, 36, 3, 1)
checkTime(2017, 12, 21, 19, 30, 21, 4, 1)
checkTime(2017, 12, 22, 4, 40, 20, 5, 1)
checkTime(2017, 12, 23, 8, 30, 58, 6, 1)
checkTime(2017, 12, 24, 18, 43, 11, 7, 1)
checkTime(2017, 12, 25, 11, 23, 8, 1, 1)
checkTime(2017, 12, 26, 0, 31, 57, 2, 1)
checkTime(2017, 12, 27, 7, 16, 26, 3, 1)
checkTime(2017, 12, 28, 15, 5, 14, 4, 1)
checkTime(2017, 12, 29, 3, 57, 58, 5, 1)
checkTime(2017, 12, 30, 15, 33, 21, 6, 1)
checkTime(2017, 12, 31, 10, 17, 4, 7, 1)
checkTime(2018, 1, 1, 19, 7, 31, 1, 1)
checkTime(2018, 1, 2, 17, 1, 8, 2, 1)
checkTime(2018, 1, 3, 23, 28, 2, 3, 1)
checkTime(2018, 1, 4, 17, 9, 10, 4, 1)
checkTime(2018, 1, 5, 5, 34, 28, 5, 1)
checkTime(2018, 1, 6, 0, 30, 33, 6, 1)
checkTime(2018, 1, 7, 2, 31, 48, 7, 1)
checkTime(2018, 1, 8, 4, 54, 23, 1, 1)
checkTime(2018, 1, 9, 2, 45, 51, 2, 1)
checkTime(2018, 1, 10, 11, 26, 46, 3, 1)
checkTime(2018, 1, 11, 20, 7, 26, 4, 1)
checkTime(2018, 1, 12, 8, 44, 35, 5, 1)
checkTime(2018, 1, 13, 10, 54, 46, 6, 1)
checkTime(2018, 1, 14, 0, 28, 46, 7, 1)
checkTime(2018, 1, 15, 16, 2, 28, 1, 1)
checkTime(2018, 1, 16, 8, 46, 31, 2, 1)
checkTime(2018, 1, 17, 12, 49, 29, 3, 1)
checkTime(2018, 1, 18, 23, 46, 9, 4, 1)
checkTime(2018, 1, 19, 10, 55, 28, 5, 1)
checkTime(2018, 1, 20, 21, 30, 28, 6, 1)
checkTime(2018, 1, 21, 0, 0, 8, 7, 1)
checkTime(2018, 1, 22, 3, 22, 20, 1, 1)
checkTime(2018, 1, 23, 4, 36, 1, 2, 1)
checkTime(2018, 1, 24, 21, 21, 30, 3, 1)
checkTime(2018, 1, 25, 7, 43, 35, 4, 1)
checkTime(2018, 1, 26, 9, 34, 45, 5, 1)
checkTime(2018, 1, 27, 13, 16, 54, 6, 1)
checkTime(2018, 1, 28, 20, 39, 9, 7, 1)
checkTime(2018, 1, 29, 8, 53, 44, 1, 1)
checkTime(2018, 1, 30, 15, 7, 42, 2, 1)
checkTime(2018, 1, 31, 6, 3, 10, 3, 1)
checkTime(2018, 2, 1, 18, 31, 45, 4, 1)
checkTime(2018, 2, 2, 11, 45, 30, 5, 1)
checkTime(2018, 2, 3, 13, 49, 27, 6, 1)
checkTime(2018, 2, 4, 10, 35, 58, 7, 1)
checkTime(2018, 2, 5, 1, 50, 56, 1, 1)
checkTime(2018, 2, 6, 3, 26, 50, 2, 1)
checkTime(2018, 2, 7, 7, 28, 40, 3, 1)
checkTime(2018, 2, 8, 3, 49, 19, 4, 1)
checkTime(2018, 2, 9, 23, 39, 26, 5, 1)
checkTime(2018, 2, 10, 4, 26, 8, 6, 1)
checkTime(2018, 2, 11, 4, 46, 56, 7, 1)
checkTime(2018, 2, 12, 21, 7, 34, 1, 1)
checkTime(2018, 2, 13, 20, 20, 14, 2, 1)
checkTime(2018, 2, 14, 12, 44, 11, 3, 1)
checkTime(2018, 2, 15, 1, 34, 16, 4, 1)
checkTime(2018, 2, 16, 7, 38, 44, 5, 1)
checkTime(2018, 2, 17, 13, 57, 4, 6, 1)
checkTime(2018, 2, 18, 23, 6, 41, 7, 1)
checkTime(2018, 2, 19, 23, 23, 57, 1, 1)
checkTime(2018, 2, 20, 6, 48, 41, 2, 1)
checkTime(2018, 2, 21, 14, 57, 32, 3, 1)
checkTime(2018, 2, 22, 8, 56, 44, 4, 1)
checkTime(2018, 2, 23, 19, 56, 52, 5, 1)
checkTime(2018, 2, 24, 15, 32, 16, 6, 1)
checkTime(2018, 2, 25, 20, 52, 6, 7, 1)
checkTime(2018, 2, 26, 17, 51, 35, 1, 1)
checkTime(2018, 2, 27, 22, 19, 34, 2, 1)
checkTime(2018, 2, 28, 21, 5, 23, 3, 1)
--Time 2018-2-29 19:27:25 is not valid
--Time 2018-2-30 23:56:26 is not valid
--Time 2018-2-31 16:8:18 is not valid
checkTime(2018, 3, 1, 15, 49, 21, 4, 1)
checkTime(2018, 3, 2, 0, 35, 40, 5, 1)
checkTime(2018, 3, 3, 8, 48, 57, 6, 1)
checkTime(2018, 3, 4, 18, 4, 13, 7, 1)
checkTime(2018, 3, 5, 3, 30, 48, 1, 1)
checkTime(2018, 3, 6, 16, 22, 6, 2, 1)
checkTime(2018, 3, 7, 19, 28, 17, 3, 1)
checkTime(2018, 3, 8, 20, 2, 28, 4, 1)
checkTime(2018, 3, 9, 4, 41, 46, 5, 1)
checkTime(2018, 3, 10, 6, 17, 37, 6, 1)
checkTime(2018, 3, 11, 15, 17, 22, 7, 1)
checkTime(2018, 3, 12, 2, 39, 23, 1, 1)
checkTime(2018, 3, 13, 9, 59, 54, 2, 1)
checkTime(2018, 3, 14, 1, 23, 4, 3, 1)
checkTime(2018, 3, 15, 7, 1, 52, 4, 1)
checkTime(2018, 3, 16, 8, 17, 44, 5, 1)
checkTime(2018, 3, 17, 9, 54, 40, 6, 1)
checkTime(2018, 3, 18, 0, 30, 36, 7, 1)
checkTime(2018, 3, 19, 0, 13, 36, 1, 1)
checkTime(2018, 3, 20, 10, 55, 25, 2, 1)
checkTime(2018, 3, 21, 3, 51, 39, 3, 1)
checkTime(2018, 3, 22, 18, 30, 0, 4, 1)
checkTime(2018, 3, 23, 18, 58, 38, 5, 1)
checkTime(2018, 3, 24, 9, 9, 3, 6, 1)
checkTime(2018, 3, 25, 8, 6, 55, 7, 2)
checkTime(2018, 3, 26, 13, 19, 0, 1, 2)
checkTime(2018, 3, 27, 10, 28, 51, 2, 2)
checkTime(2018, 3, 28, 10, 54, 21, 3, 2)
checkTime(2018, 3, 29, 9, 20, 50, 4, 2)
checkTime(2018, 3, 30, 6, 41, 21, 5, 2)
checkTime(2018, 3, 31, 19, 26, 16, 6, 2)
checkTime(2018, 4, 1, 14, 7, 15, 7, 2)
checkTime(2018, 4, 2, 15, 20, 46, 1, 2)
checkTime(2018, 4, 3, 17, 39, 21, 2, 2)
checkTime(2018, 4, 4, 6, 6, 29, 3, 2)
checkTime(2018, 4, 5, 16, 50, 12, 4, 2)
checkTime(2018, 4, 6, 2, 50, 30, 5, 2)
checkTime(2018, 4, 7, 7, 21, 13, 6, 2)
checkTime(2018, 4, 8, 14, 21, 11, 7, 2)
checkTime(2018, 4, 9, 8, 33, 58, 1, 2)
checkTime(2018, 4, 10, 6, 46, 1, 2, 2)
checkTime(2018, 4, 11, 16, 43, 37, 3, 2)
checkTime(2018, 4, 12, 6, 55, 46, 4, 2)
checkTime(2018, 4, 13, 19, 39, 43, 5, 2)
checkTime(2018, 4, 14, 21, 50, 11, 6, 2)
checkTime(2018, 4, 15, 10, 54, 40, 7, 2)
checkTime(2018, 4, 16, 19, 2, 21, 1, 2)
checkTime(2018, 4, 17, 13, 20, 42, 2, 2)
checkTime(2018, 4, 18, 2, 57, 17, 3, 2)
checkTime(2018, 4, 19, 23, 12, 13, 4, 2)
checkTime(2018, 4, 20, 22, 31, 3, 5, 2)
checkTime(2018, 4, 21, 6, 42, 57, 6, 2)
checkTime(2018, 4, 22, 21, 44, 52, 7, 2)
checkTime(2018, 4, 23, 12, 53, 58, 1, 2)
checkTime(2018, 4, 24, 13, 17, 5, 2, 2)
checkTime(2018, 4, 25, 14, 46, 42, 3, 2)
checkTime(2018, 4, 26, 16, 39, 42, 4, 2)
checkTime(2018, 4, 27, 13, 57, 55, 5, 2)
checkTime(2018, 4, 28, 16, 29, 46, 6, 2)
checkTime(2018, 4, 29, 23, 42, 30, 7, 2)
checkTime(2018, 4, 30, 16, 22, 2, 1, 2)
--Time 2018-4-31 19:35:15 is not valid
checkTime(2018, 5, 1, 23, 13, 58, 2, 2)
checkTime(2018, 5, 2, 8, 3, 12, 3, 2)
checkTime(2018, 5, 3, 16, 5, 28, 4, 2)
checkTime(2018, 5, 4, 6, 59, 54, 5, 2)
checkTime(2018, 5, 5, 9, 14, 48, 6, 2)
checkTime(2018, 5, 6, 15, 31, 0, 7, 2)
checkTime(2018, 5, 7, 10, 42, 15, 1, 2)
checkTime(2018, 5, 8, 2, 55, 3, 2, 2)
checkTime(2018, 5, 9, 17, 56, 52, 3, 2)
checkTime(2018, 5, 10, 2, 19, 14, 4, 2)
checkTime(2018, 5, 11, 23, 27, 4, 5, 2)
checkTime(2018, 5, 12, 22, 9, 41, 6, 2)
checkTime(2018, 5, 13, 8, 13, 23, 7, 2)
checkTime(2018, 5, 14, 3, 6, 25, 1, 2)
checkTime(2018, 5, 15, 12, 42, 3, 2, 2)
checkTime(2018, 5, 16, 21, 59, 33, 3, 2)
checkTime(2018, 5, 17, 14, 8, 10, 4, 2)
checkTime(2018, 5, 18, 12, 46, 5, 5, 2)
checkTime(2018, 5, 19, 3, 7, 35, 6, 2)
checkTime(2018, 5, 20, 4, 52, 44, 7, 2)
checkTime(2018, 5, 21, 17, 15, 6, 1, 2)
checkTime(2018, 5, 22, 22, 42, 58, 2, 2)
checkTime(2018, 5, 23, 18, 59, 11, 3, 2)
checkTime(2018, 5, 24, 22, 36, 58, 4, 2)
checkTime(2018, 5, 25, 8, 39, 59, 5, 2)
checkTime(2018, 5, 26, 18, 31, 33, 6, 2)
checkTime(2018, 5, 27, 21, 16, 58, 7, 2)
checkTime(2018, 5, 28, 16, 12, 3, 1, 2)
checkTime(2018, 5, 29, 19, 20, 4, 2, 2)
checkTime(2018, 5, 30, 10, 18, 57, 3, 2)
checkTime(2018, 5, 31, 14, 20, 35, 4, 2)
checkTime(2018, 6, 1, 9, 36, 56, 5, 2)
checkTime(2018, 6, 2, 2, 45, 36, 6, 2)
checkTime(2018, 6, 3, 1, 55, 10, 7, 2)
checkTime(2018, 6, 4, 23, 43, 20, 1, 2)
checkTime(2018, 6, 5, 20, 5, 26, 2, 2)
checkTime(2018, 6, 6, 17, 36, 21, 3, 2)
checkTime(2018, 6, 7, 9, 54, 13, 4, 2)
checkTime(2018, 6, 8, 2, 0, 10, 5, 2)
checkTime(2018, 6, 9, 10, 29, 5, 6, 2)
checkTime(2018, 6, 10, 1, 21, 18, 7, 2)
checkTime(2018, 6, 11, 4, 10, 4, 1, 2)
checkTime(2018, 6, 12, 2, 43, 49, 2, 2)
checkTime(2018, 6, 13, 23, 31, 45, 3, 2)
checkTime(2018, 6, 14, 13, 39, 46, 4, 2)
checkTime(2018, 6, 15, 11, 43, 13, 5, 2)
checkTime(2018, 6, 16, 14, 50, 2, 6, 2)
checkTime(2018, 6, 17, 1, 4, 38, 7, 2)
checkTime(2018, 6, 18, 14, 15, 2, 1, 2)
checkTime(2018, 6, 19, 11, 53, 25, 2, 2)
checkTime(2018, 6, 20, 13, 19, 58, 3, 2)
checkTime(2018, 6, 21, 3, 48, 46, 4, 2)
checkTime(2018, 6, 22, 14, 22, 42, 5, 2)
checkTime(2018, 6, 23, 10, 26, 16, 6, 2)
checkTime(2018, 6, 24, 9, 51, 36, 7, 2)
checkTime(2018, 6, 25, 9, 12, 56, 1, 2)
checkTime(2018, 6, 26, 22, 0, 13, 2, 2)
checkTime(2018, 6, 27, 1, 47, 34, 3, 2)
checkTime(2018, 6, 28, 3, 1, 12, 4, 2)
checkTime(2018, 6, 29, 4, 21, 45, 5, 2)
checkTime(2018, 6, 30, 8, 36, 16, 6, 2)
--Time 2018-6-31 5:54:52 is not valid
checkTime(2018, 7, 1, 23, 32, 48, 7, 2)
checkTime(2018, 7, 2, 16, 11, 10, 1, 2)
checkTime(2018, 7, 3, 20, 14, 11, 2, 2)
checkTime(2018, 7, 4, 18, 0, 56, 3, 2)
checkTime(2018, 7, 5, 7, 34, 44, 4, 2)
checkTime(2018, 7, 6, 10, 31, 0, 5, 2)
checkTime(2018, 7, 7, 18, 9, 9, 6, 2)
checkTime(2018, 7, 8, 13, 51, 45, 7, 2)
checkTime(2018, 7, 9, 17, 6, 34, 1, 2)
checkTime(2018, 7, 10, 13, 1, 24, 2, 2)
checkTime(2018, 7, 11, 3, 58, 32, 3, 2)
checkTime(2018, 7, 12, 11, 59, 1, 4, 2)
checkTime(2018, 7, 13, 11, 3, 50, 5, 2)
checkTime(2018, 7, 14, 14, 23, 40, 6, 2)
checkTime(2018, 7, 15, 18, 42, 7, 7, 2)
checkTime(2018, 7, 16, 17, 54, 34, 1, 2)
checkTime(2018, 7, 17, 6, 59, 40, 2, 2)
checkTime(2018, 7, 18, 6, 59, 6, 3, 2)
checkTime(2018, 7, 19, 13, 4, 54, 4, 2)
checkTime(2018, 7, 20, 7, 21, 23, 5, 2)
checkTime(2018, 7, 21, 22, 40, 52, 6, 2)
checkTime(2018, 7, 22, 16, 28, 20, 7, 2)
checkTime(2018, 7, 23, 4, 45, 40, 1, 2)
checkTime(2018, 7, 24, 23, 4, 12, 2, 2)
checkTime(2018, 7, 25, 6, 18, 10, 3, 2)
checkTime(2018, 7, 26, 6, 48, 4, 4, 2)
checkTime(2018, 7, 27, 4, 12, 2, 5, 2)
checkTime(2018, 7, 28, 4, 27, 17, 6, 2)
checkTime(2018, 7, 29, 18, 46, 11, 7, 2)
checkTime(2018, 7, 30, 5, 9, 43, 1, 2)
checkTime(2018, 7, 31, 13, 37, 13, 2, 2)
checkTime(2018, 8, 1, 9, 32, 15, 3, 2)
checkTime(2018, 8, 2, 9, 29, 54, 4, 2)
checkTime(2018, 8, 3, 22, 13, 54, 5, 2)
checkTime(2018, 8, 4, 22, 2, 4, 6, 2)
checkTime(2018, 8, 5, 9, 9, 2, 7, 2)
checkTime(2018, 8, 6, 18, 9, 38, 1, 2)
checkTime(2018, 8, 7, 9, 38, 28, 2, 2)
checkTime(2018, 8, 8, 19, 7, 58, 3, 2)
checkTime(2018, 8, 9, 3, 5, 13, 4, 2)
checkTime(2018, 8, 10, 20, 37, 15, 5, 2)
checkTime(2018, 8, 11, 3, 48, 39, 6, 2)
checkTime(2018, 8, 12, 6, 44, 11, 7, 2)
checkTime(2018, 8, 13, 23, 39, 56, 1, 2)
checkTime(2018, 8, 14, 4, 34, 18, 2, 2)
checkTime(2018, 8, 15, 1, 28, 26, 3, 2)
checkTime(2018, 8, 16, 21, 18, 16, 4, 2)
checkTime(2018, 8, 17, 23, 2, 25, 5, 2)
checkTime(2018, 8, 18, 22, 27, 34, 6, 2)
checkTime(2018, 8, 19, 18, 13, 14, 7, 2)
checkTime(2018, 8, 20, 1, 50, 51, 1, 2)
checkTime(2018, 8, 21, 15, 54, 33, 2, 2)
checkTime(2018, 8, 22, 17, 56, 59, 3, 2)
checkTime(2018, 8, 23, 12, 20, 20, 4, 2)
checkTime(2018, 8, 24, 20, 22, 18, 5, 2)
checkTime(2018, 8, 25, 6, 29, 59, 6, 2)
checkTime(2018, 8, 26, 5, 24, 4, 7, 2)
checkTime(2018, 8, 27, 13, 39, 37, 1, 2)
checkTime(2018, 8, 28, 1, 17, 32, 2, 2)
checkTime(2018, 8, 29, 4, 19, 11, 3, 2)
checkTime(2018, 8, 30, 15, 36, 25, 4, 2)
checkTime(2018, 8, 31, 3, 25, 55, 5, 2)
checkTime(2018, 9, 1, 9, 24, 35, 6, 2)
checkTime(2018, 9, 2, 0, 52, 44, 7, 2)
checkTime(2018, 9, 3, 1, 38, 1, 1, 2)
checkTime(2018, 9, 4, 9, 8, 11, 2, 2)
checkTime(2018, 9, 5, 12, 26, 5, 3, 2)
checkTime(2018, 9, 6, 0, 20, 29, 4, 2)
checkTime(2018, 9, 7, 14, 7, 24, 5, 2)
checkTime(2018, 9, 8, 21, 41, 39, 6, 2)
checkTime(2018, 9, 9, 2, 42, 0, 7, 2)
checkTime(2018, 9, 10, 15, 28, 54, 1, 2)
checkTime(2018, 9, 11, 4, 49, 38, 2, 2)
checkTime(2018, 9, 12, 23, 7, 30, 3, 2)
checkTime(2018, 9, 13, 12, 54, 44, 4, 2)
checkTime(2018, 9, 14, 5, 55, 40, 5, 2)
checkTime(2018, 9, 15, 4, 31, 19, 6, 2)
checkTime(2018, 9, 16, 13, 2, 15, 7, 2)
checkTime(2018, 9, 17, 8, 40, 56, 1, 2)
checkTime(2018, 9, 18, 0, 56, 51, 2, 2)
checkTime(2018, 9, 19, 4, 18, 19, 3, 2)
checkTime(2018, 9, 20, 17, 35, 5, 4, 2)
checkTime(2018, 9, 21, 18, 53, 45, 5, 2)
checkTime(2018, 9, 22, 13, 38, 53, 6, 2)
checkTime(2018, 9, 23, 14, 10, 38, 7, 2)
checkTime(2018, 9, 24, 17, 2, 37, 1, 2)
checkTime(2018, 9, 25, 13, 39, 33, 2, 2)
checkTime(2018, 9, 26, 11, 1, 23, 3, 2)
checkTime(2018, 9, 27, 11, 21, 50, 4, 2)
checkTime(2018, 9, 28, 14, 50, 23, 5, 2)
checkTime(2018, 9, 29, 10, 4, 1, 6, 2)
checkTime(2018, 9, 30, 20, 40, 17, 7, 2)
--Time 2018-9-31 22:49:44 is not valid
checkTime(2018, 10, 1, 2, 9, 10, 1, 2)
checkTime(2018, 10, 2, 12, 32, 52, 2, 2)
checkTime(2018, 10, 3, 4, 27, 17, 3, 2)
checkTime(2018, 10, 4, 15, 0, 10, 4, 2)
checkTime(2018, 10, 5, 8, 23, 11, 5, 2)
checkTime(2018, 10, 6, 19, 57, 59, 6, 2)
checkTime(2018, 10, 7, 20, 40, 29, 7, 2)
checkTime(2018, 10, 8, 4, 7, 42, 1, 2)
checkTime(2018, 10, 9, 14, 9, 48, 2, 2)
checkTime(2018, 10, 10, 13, 22, 29, 3, 2)
checkTime(2018, 10, 11, 11, 35, 58, 4, 2)
checkTime(2018, 10, 12, 19, 45, 40, 5, 2)
checkTime(2018, 10, 13, 15, 44, 7, 6, 2)
checkTime(2018, 10, 14, 7, 34, 35, 7, 2)
checkTime(2018, 10, 15, 13, 22, 30, 1, 2)
checkTime(2018, 10, 16, 13, 33, 32, 2, 2)
checkTime(2018, 10, 17, 0, 41, 3, 3, 2)
checkTime(2018, 10, 18, 2, 11, 49, 4, 2)
checkTime(2018, 10, 19, 4, 6, 43, 5, 2)
checkTime(2018, 10, 20, 7, 32, 2, 6, 2)
checkTime(2018, 10, 21, 15, 15, 30, 7, 2)
checkTime(2018, 10, 22, 19, 29, 7, 1, 2)
checkTime(2018, 10, 23, 22, 13, 33, 2, 2)
checkTime(2018, 10, 24, 9, 10, 49, 3, 2)
checkTime(2018, 10, 25, 15, 26, 41, 4, 2)
checkTime(2018, 10, 26, 3, 54, 41, 5, 2)
checkTime(2018, 10, 27, 23, 4, 47, 6, 2)
checkTime(2018, 10, 28, 8, 7, 36, 7, 1)
checkTime(2018, 10, 29, 0, 13, 1, 1, 1)
checkTime(2018, 10, 30, 16, 5, 40, 2, 1)
checkTime(2018, 10, 31, 15, 3, 8, 3, 1)
checkTime(2018, 11, 1, 22, 41, 40, 4, 1)
checkTime(2018, 11, 2, 11, 34, 37, 5, 1)
checkTime(2018, 11, 3, 15, 27, 12, 6, 1)
checkTime(2018, 11, 4, 13, 38, 53, 7, 1)
checkTime(2018, 11, 5, 0, 17, 32, 1, 1)
checkTime(2018, 11, 6, 4, 41, 35, 2, 1)
checkTime(2018, 11, 7, 21, 14, 54, 3, 1)
checkTime(2018, 11, 8, 15, 50, 15, 4, 1)
checkTime(2018, 11, 9, 3, 43, 16, 5, 1)
checkTime(2018, 11, 10, 8, 59, 11, 6, 1)
checkTime(2018, 11, 11, 6, 43, 29, 7, 1)
checkTime(2018, 11, 12, 20, 0, 23, 1, 1)
checkTime(2018, 11, 13, 10, 25, 59, 2, 1)
checkTime(2018, 11, 14, 16, 24, 4, 3, 1)
checkTime(2018, 11, 15, 10, 28, 55, 4, 1)
checkTime(2018, 11, 16, 2, 54, 21, 5, 1)
checkTime(2018, 11, 17, 7, 13, 48, 6, 1)
checkTime(2018, 11, 18, 18, 44, 35, 7, 1)
checkTime(2018, 11, 19, 17, 19, 38, 1, 1)
checkTime(2018, 11, 20, 21, 49, 41, 2, 1)
checkTime(2018, 11, 21, 18, 22, 0, 3, 1)
checkTime(2018, 11, 22, 19, 2, 31, 4, 1)
checkTime(2018, 11, 23, 10, 27, 38, 5, 1)
checkTime(2018, 11, 24, 3, 9, 26, 6, 1)
checkTime(2018, 11, 25, 7, 2, 1, 7, 1)
checkTime(2018, 11, 26, 4, 52, 23, 1, 1)
checkTime(2018, 11, 27, 3, 11, 12, 2, 1)
checkTime(2018, 11, 28, 6, 59, 53, 3, 1)
checkTime(2018, 11, 29, 0, 41, 26, 4, 1)
checkTime(2018, 11, 30, 19, 23, 17, 5, 1)
--Time 2018-11-31 14:4:12 is not valid
checkTime(2018, 12, 1, 11, 49, 3, 6, 1)
checkTime(2018, 12, 2, 2, 1, 7, 7, 1)
checkTime(2018, 12, 3, 12, 11, 37, 1, 1)
checkTime(2018, 12, 4, 2, 54, 46, 2, 1)
checkTime(2018, 12, 5, 9, 20, 22, 3, 1)
checkTime(2018, 12, 6, 22, 2, 24, 4, 1)
checkTime(2018, 12, 7, 19, 39, 32, 5, 1)
checkTime(2018, 12, 8, 12, 9, 51, 6, 1)
checkTime(2018, 12, 9, 15, 32, 40, 7, 1)
checkTime(2018, 12, 10, 14, 31, 24, 1, 1)
checkTime(2018, 12, 11, 3, 41, 53, 2, 1)
checkTime(2018, 12, 12, 23, 26, 43, 3, 1)
checkTime(2018, 12, 13, 1, 34, 55, 4, 1)
checkTime(2018, 12, 14, 18, 18, 6, 5, 1)
checkTime(2018, 12, 15, 17, 58, 24, 6, 1)
checkTime(2018, 12, 16, 16, 12, 26, 7, 1)
checkTime(2018, 12, 17, 8, 54, 26, 1, 1)
checkTime(2018, 12, 18, 22, 8, 37, 2, 1)
checkTime(2018, 12, 19, 1, 53, 16, 3, 1)
checkTime(2018, 12, 20, 8, 12, 15, 4, 1)
checkTime(2018, 12, 21, 8, 17, 7, 5, 1)
checkTime(2018, 12, 22, 10, 8, 53, 6, 1)
checkTime(2018, 12, 23, 3, 35, 4, 7, 1)
checkTime(2018, 12, 24, 18, 55, 20, 1, 1)
checkTime(2018, 12, 25, 19, 49, 14, 2, 1)
checkTime(2018, 12, 26, 3, 29, 42, 3, 1)
checkTime(2018, 12, 27, 20, 42, 23, 4, 1)
checkTime(2018, 12, 28, 15, 33, 48, 5, 1)
checkTime(2018, 12, 29, 8, 6, 5, 6, 1)
checkTime(2018, 12, 30, 0, 14, 22, 7, 1)
checkTime(2018, 12, 31, 19, 18, 58, 1, 1)
checkTime(2019, 1, 1, 16, 52, 45, 2, 1)
checkTime(2019, 1, 2, 6, 47, 29, 3, 1)
checkTime(2019, 1, 3, 18, 4, 48, 4, 1)
checkTime(2019, 1, 4, 0, 1, 28, 5, 1)
checkTime(2019, 1, 5, 6, 30, 29, 6, 1)
checkTime(2019, 1, 6, 19, 27, 54, 7, 1)
checkTime(2019, 1, 7, 6, 49, 31, 1, 1)
checkTime(2019, 1, 8, 22, 30, 26, 2, 1)
checkTime(2019, 1, 9, 23, 12, 52, 3, 1)
checkTime(2019, 1, 10, 3, 44, 24, 4, 1)
checkTime(2019, 1, 11, 17, 28, 49, 5, 1)
checkTime(2019, 1, 12, 0, 52, 18, 6, 1)
checkTime(2019, 1, 13, 22, 42, 43, 7, 1)
checkTime(2019, 1, 14, 4, 19, 40, 1, 1)
checkTime(2019, 1, 15, 0, 5, 23, 2, 1)
checkTime(2019, 1, 16, 18, 25, 58, 3, 1)
checkTime(2019, 1, 17, 7, 5, 42, 4, 1)
checkTime(2019, 1, 18, 8, 47, 55, 5, 1)
checkTime(2019, 1, 19, 14, 31, 39, 6, 1)
checkTime(2019, 1, 20, 18, 41, 3, 7, 1)
checkTime(2019, 1, 21, 19, 42, 7, 1, 1)
checkTime(2019, 1, 22, 16, 0, 26, 2, 1)
checkTime(2019, 1, 23, 13, 41, 26, 3, 1)
checkTime(2019, 1, 24, 0, 0, 35, 4, 1)
checkTime(2019, 1, 25, 1, 11, 47, 5, 1)
checkTime(2019, 1, 26, 16, 45, 47, 6, 1)
checkTime(2019, 1, 27, 2, 57, 42, 7, 1)
checkTime(2019, 1, 28, 7, 19, 6, 1, 1)
checkTime(2019, 1, 29, 0, 29, 32, 2, 1)
checkTime(2019, 1, 30, 12, 11, 29, 3, 1)
checkTime(2019, 1, 31, 12, 35, 57, 4, 1)
checkTime(2019, 2, 1, 17, 12, 19, 5, 1)
checkTime(2019, 2, 2, 15, 58, 34, 6, 1)
checkTime(2019, 2, 3, 8, 49, 44, 7, 1)
checkTime(2019, 2, 4, 10, 4, 38, 1, 1)
checkTime(2019, 2, 5, 13, 9, 23, 2, 1)
checkTime(2019, 2, 6, 7, 51, 25, 3, 1)
checkTime(2019, 2, 7, 22, 28, 49, 4, 1)
checkTime(2019, 2, 8, 23, 28, 28, 5, 1)
checkTime(2019, 2, 9, 6, 13, 57, 6, 1)
checkTime(2019, 2, 10, 10, 2, 53, 7, 1)
checkTime(2019, 2, 11, 0, 49, 28, 1, 1)
checkTime(2019, 2, 12, 8, 29, 14, 2, 1)
checkTime(2019, 2, 13, 4, 13, 25, 3, 1)
checkTime(2019, 2, 14, 1, 1, 50, 4, 1)
checkTime(2019, 2, 15, 0, 1, 49, 5, 1)
checkTime(2019, 2, 16, 3, 53, 37, 6, 1)
checkTime(2019, 2, 17, 18, 0, 8, 7, 1)
checkTime(2019, 2, 18, 4, 43, 10, 1, 1)
checkTime(2019, 2, 19, 15, 57, 41, 2, 1)
checkTime(2019, 2, 20, 12, 40, 26, 3, 1)
checkTime(2019, 2, 21, 20, 33, 49, 4, 1)
checkTime(2019, 2, 22, 18, 8, 19, 5, 1)
checkTime(2019, 2, 23, 0, 43, 48, 6, 1)
checkTime(2019, 2, 24, 8, 52, 28, 7, 1)
checkTime(2019, 2, 25, 7, 9, 35, 1, 1)
checkTime(2019, 2, 26, 12, 42, 3, 2, 1)
checkTime(2019, 2, 27, 16, 57, 55, 3, 1)
checkTime(2019, 2, 28, 12, 49, 27, 4, 1)
--Time 2019-2-29 1:20:9 is not valid
--Time 2019-2-30 2:33:23 is not valid
--Time 2019-2-31 2:57:26 is not valid
checkTime(2019, 3, 1, 8, 21, 29, 5, 1)
checkTime(2019, 3, 2, 6, 45, 33, 6, 1)
checkTime(2019, 3, 3, 9, 17, 14, 7, 1)
checkTime(2019, 3, 4, 19, 21, 20, 1, 1)
checkTime(2019, 3, 5, 14, 4, 13, 2, 1)
checkTime(2019, 3, 6, 22, 18, 7, 3, 1)
checkTime(2019, 3, 7, 16, 47, 12, 4, 1)
checkTime(2019, 3, 8, 12, 31, 58, 5, 1)
checkTime(2019, 3, 9, 6, 7, 27, 6, 1)
checkTime(2019, 3, 10, 16, 28, 49, 7, 1)
checkTime(2019, 3, 11, 13, 18, 14, 1, 1)
checkTime(2019, 3, 12, 21, 38, 36, 2, 1)
checkTime(2019, 3, 13, 3, 13, 19, 3, 1)
checkTime(2019, 3, 14, 8, 51, 50, 4, 1)
checkTime(2019, 3, 15, 8, 30, 40, 5, 1)
checkTime(2019, 3, 16, 20, 56, 29, 6, 1)
checkTime(2019, 3, 17, 10, 31, 7, 7, 1)
checkTime(2019, 3, 18, 6, 30, 49, 1, 1)
checkTime(2019, 3, 19, 6, 46, 56, 2, 1)
checkTime(2019, 3, 20, 17, 18, 55, 3, 1)
checkTime(2019, 3, 21, 18, 21, 43, 4, 1)
checkTime(2019, 3, 22, 0, 50, 38, 5, 1)
checkTime(2019, 3, 23, 5, 54, 37, 6, 1)
checkTime(2019, 3, 24, 18, 52, 31, 7, 1)
checkTime(2019, 3, 25, 2, 42, 27, 1, 1)
checkTime(2019, 3, 26, 14, 20, 58, 2, 1)
checkTime(2019, 3, 27, 15, 0, 39, 3, 1)
checkTime(2019, 3, 28, 22, 20, 28, 4, 1)
checkTime(2019, 3, 29, 9, 42, 30, 5, 1)
checkTime(2019, 3, 30, 21, 1, 34, 6, 1)
checkTime(2019, 3, 31, 1, 56, 51, 7, 1)
checkTime(2019, 4, 1, 17, 24, 9, 1, 2)
checkTime(2019, 4, 2, 12, 32, 44, 2, 2)
checkTime(2019, 4, 3, 16, 24, 40, 3, 2)
checkTime(2019, 4, 4, 12, 34, 30, 4, 2)
checkTime(2019, 4, 5, 5, 12, 8, 5, 2)
checkTime(2019, 4, 6, 3, 28, 42, 6, 2)
checkTime(2019, 4, 7, 0, 56, 38, 7, 2)
checkTime(2019, 4, 8, 12, 45, 43, 1, 2)
checkTime(2019, 4, 9, 4, 42, 1, 2, 2)
checkTime(2019, 4, 10, 11, 30, 29, 3, 2)
checkTime(2019, 4, 11, 23, 8, 44, 4, 2)
checkTime(2019, 4, 12, 10, 24, 37, 5, 2)
checkTime(2019, 4, 13, 6, 53, 42, 6, 2)
checkTime(2019, 4, 14, 20, 38, 34, 7, 2)
checkTime(2019, 4, 15, 9, 12, 18, 1, 2)
checkTime(2019, 4, 16, 19, 54, 20, 2, 2)
checkTime(2019, 4, 17, 16, 39, 21, 3, 2)
checkTime(2019, 4, 18, 14, 31, 14, 4, 2)
checkTime(2019, 4, 19, 5, 31, 22, 5, 2)
checkTime(2019, 4, 20, 19, 58, 37, 6, 2)
checkTime(2019, 4, 21, 4, 34, 33, 7, 2)
checkTime(2019, 4, 22, 21, 29, 15, 1, 2)
checkTime(2019, 4, 23, 15, 21, 19, 2, 2)
checkTime(2019, 4, 24, 3, 55, 49, 3, 2)
checkTime(2019, 4, 25, 19, 55, 36, 4, 2)
checkTime(2019, 4, 26, 16, 52, 5, 5, 2)
checkTime(2019, 4, 27, 12, 32, 49, 6, 2)
checkTime(2019, 4, 28, 12, 18, 59, 7, 2)
checkTime(2019, 4, 29, 10, 25, 45, 1, 2)
checkTime(2019, 4, 30, 9, 45, 46, 2, 2)
--Time 2019-4-31 5:15:43 is not valid
checkTime(2019, 5, 1, 4, 3, 25, 3, 2)
checkTime(2019, 5, 2, 8, 5, 25, 4, 2)
checkTime(2019, 5, 3, 8, 39, 23, 5, 2)
checkTime(2019, 5, 4, 8, 25, 11, 6, 2)
checkTime(2019, 5, 5, 11, 35, 20, 7, 2)
checkTime(2019, 5, 6, 15, 34, 3, 1, 2)
checkTime(2019, 5, 7, 1, 27, 24, 2, 2)
checkTime(2019, 5, 8, 13, 53, 58, 3, 2)
checkTime(2019, 5, 9, 0, 53, 32, 4, 2)
checkTime(2019, 5, 10, 19, 15, 12, 5, 2)
checkTime(2019, 5, 11, 22, 51, 20, 6, 2)
checkTime(2019, 5, 12, 22, 39, 59, 7, 2)
checkTime(2019, 5, 13, 9, 29, 3, 1, 2)
checkTime(2019, 5, 14, 11, 32, 35, 2, 2)
checkTime(2019, 5, 15, 1, 52, 16, 3, 2)
checkTime(2019, 5, 16, 20, 10, 39, 4, 2)
checkTime(2019, 5, 17, 10, 52, 19, 5, 2)
checkTime(2019, 5, 18, 6, 49, 54, 6, 2)
checkTime(2019, 5, 19, 0, 24, 20, 7, 2)
checkTime(2019, 5, 20, 22, 52, 43, 1, 2)
checkTime(2019, 5, 21, 6, 35, 6, 2, 2)
checkTime(2019, 5, 22, 18, 46, 23, 3, 2)
checkTime(2019, 5, 23, 20, 55, 10, 4, 2)
checkTime(2019, 5, 24, 23, 55, 20, 5, 2)
checkTime(2019, 5, 25, 4, 41, 11, 6, 2)
checkTime(2019, 5, 26, 8, 17, 49, 7, 2)
checkTime(2019, 5, 27, 4, 36, 35, 1, 2)
checkTime(2019, 5, 28, 10, 11, 10, 2, 2)
checkTime(2019, 5, 29, 11, 0, 47, 3, 2)
checkTime(2019, 5, 30, 20, 40, 33, 4, 2)
checkTime(2019, 5, 31, 8, 33, 38, 5, 2)
checkTime(2019, 6, 1, 4, 11, 49, 6, 2)
checkTime(2019, 6, 2, 0, 9, 55, 7, 2)
checkTime(2019, 6, 3, 13, 16, 5, 1, 2)
checkTime(2019, 6, 4, 15, 27, 43, 2, 2)
checkTime(2019, 6, 5, 23, 21, 2, 3, 2)
checkTime(2019, 6, 6, 5, 37, 17, 4, 2)
checkTime(2019, 6, 7, 22, 1, 17, 5, 2)
checkTime(2019, 6, 8, 7, 45, 36, 6, 2)
checkTime(2019, 6, 9, 4, 37, 51, 7, 2)
checkTime(2019, 6, 10, 11, 47, 52, 1, 2)
checkTime(2019, 6, 11, 14, 44, 18, 2, 2)
checkTime(2019, 6, 12, 20, 16, 28, 3, 2)
checkTime(2019, 6, 13, 5, 51, 13, 4, 2)
checkTime(2019, 6, 14, 19, 29, 56, 5, 2)
checkTime(2019, 6, 15, 21, 3, 30, 6, 2)
checkTime(2019, 6, 16, 4, 18, 30, 7, 2)
checkTime(2019, 6, 17, 10, 9, 18, 1, 2)
checkTime(2019, 6, 18, 21, 50, 34, 2, 2)
checkTime(2019, 6, 19, 17, 59, 45, 3, 2)
checkTime(2019, 6, 20, 1, 51, 48, 4, 2)
checkTime(2019, 6, 21, 19, 23, 15, 5, 2)
checkTime(2019, 6, 22, 22, 38, 12, 6, 2)
checkTime(2019, 6, 23, 0, 30, 6, 7, 2)
checkTime(2019, 6, 24, 19, 11, 2, 1, 2)
checkTime(2019, 6, 25, 2, 27, 1, 2, 2)
checkTime(2019, 6, 26, 17, 27, 11, 3, 2)
checkTime(2019, 6, 27, 4, 1, 17, 4, 2)
checkTime(2019, 6, 28, 22, 8, 26, 5, 2)
checkTime(2019, 6, 29, 20, 17, 42, 6, 2)
checkTime(2019, 6, 30, 8, 20, 4, 7, 2)
--Time 2019-6-31 6:0:0 is not valid
checkTime(2019, 7, 1, 7, 38, 13, 1, 2)
checkTime(2019, 7, 2, 4, 28, 53, 2, 2)
checkTime(2019, 7, 3, 10, 35, 46, 3, 2)
checkTime(2019, 7, 4, 7, 10, 52, 4, 2)
checkTime(2019, 7, 5, 13, 17, 14, 5, 2)
checkTime(2019, 7, 6, 22, 10, 4, 6, 2)
checkTime(2019, 7, 7, 18, 0, 28, 7, 2)
checkTime(2019, 7, 8, 9, 17, 5, 1, 2)
checkTime(2019, 7, 9, 7, 10, 6, 2, 2)
checkTime(2019, 7, 10, 14, 22, 7, 3, 2)
checkTime(2019, 7, 11, 22, 4, 15, 4, 2)
checkTime(2019, 7, 12, 21, 21, 17, 5, 2)
checkTime(2019, 7, 13, 2, 2, 21, 6, 2)
checkTime(2019, 7, 14, 20, 22, 13, 7, 2)
checkTime(2019, 7, 15, 23, 41, 53, 1, 2)
checkTime(2019, 7, 16, 17, 35, 12, 2, 2)
checkTime(2019, 7, 17, 16, 1, 40, 3, 2)
checkTime(2019, 7, 18, 12, 8, 4, 4, 2)
checkTime(2019, 7, 19, 3, 18, 44, 5, 2)
checkTime(2019, 7, 20, 9, 20, 32, 6, 2)
checkTime(2019, 7, 21, 22, 58, 36, 7, 2)
checkTime(2019, 7, 22, 6, 23, 8, 1, 2)
checkTime(2019, 7, 23, 6, 43, 16, 2, 2)
checkTime(2019, 7, 24, 10, 48, 39, 3, 2)
checkTime(2019, 7, 25, 22, 58, 1, 4, 2)
checkTime(2019, 7, 26, 22, 14, 14, 5, 2)
checkTime(2019, 7, 27, 10, 0, 49, 6, 2)
checkTime(2019, 7, 28, 22, 32, 30, 7, 2)
checkTime(2019, 7, 29, 23, 10, 5, 1, 2)
checkTime(2019, 7, 30, 15, 42, 33, 2, 2)
checkTime(2019, 7, 31, 14, 26, 54, 3, 2)
checkTime(2019, 8, 1, 11, 40, 48, 4, 2)
checkTime(2019, 8, 2, 22, 34, 31, 5, 2)
checkTime(2019, 8, 3, 13, 52, 31, 6, 2)
checkTime(2019, 8, 4, 8, 48, 56, 7, 2)
checkTime(2019, 8, 5, 21, 2, 16, 1, 2)
checkTime(2019, 8, 6, 2, 26, 41, 2, 2)
checkTime(2019, 8, 7, 23, 2, 4, 3, 2)
checkTime(2019, 8, 8, 4, 30, 34, 4, 2)
checkTime(2019, 8, 9, 2, 7, 33, 5, 2)
checkTime(2019, 8, 10, 0, 26, 46, 6, 2)
checkTime(2019, 8, 11, 5, 54, 48, 7, 2)
checkTime(2019, 8, 12, 13, 7, 40, 1, 2)
checkTime(2019, 8, 13, 7, 31, 9, 2, 2)
checkTime(2019, 8, 14, 21, 47, 54, 3, 2)
checkTime(2019, 8, 15, 2, 38, 32, 4, 2)
checkTime(2019, 8, 16, 21, 55, 50, 5, 2)
checkTime(2019, 8, 17, 2, 37, 35, 6, 2)
checkTime(2019, 8, 18, 13, 24, 32, 7, 2)
checkTime(2019, 8, 19, 8, 22, 2, 1, 2)
checkTime(2019, 8, 20, 5, 19, 2, 2, 2)
checkTime(2019, 8, 21, 7, 31, 19, 3, 2)
checkTime(2019, 8, 22, 10, 10, 31, 4, 2)
checkTime(2019, 8, 23, 15, 10, 26, 5, 2)
checkTime(2019, 8, 24, 21, 7, 28, 6, 2)
checkTime(2019, 8, 25, 9, 38, 9, 7, 2)
checkTime(2019, 8, 26, 10, 31, 18, 1, 2)
checkTime(2019, 8, 27, 16, 57, 2, 2, 2)
checkTime(2019, 8, 28, 4, 18, 15, 3, 2)
checkTime(2019, 8, 29, 17, 18, 48, 4, 2)
checkTime(2019, 8, 30, 1, 43, 59, 5, 2)
checkTime(2019, 8, 31, 22, 9, 9, 6, 2)
checkTime(2019, 9, 1, 9, 20, 9, 7, 2)
checkTime(2019, 9, 2, 18, 29, 4, 1, 2)
checkTime(2019, 9, 3, 15, 59, 46, 2, 2)
checkTime(2019, 9, 4, 17, 29, 35, 3, 2)
checkTime(2019, 9, 5, 6, 4, 58, 4, 2)
checkTime(2019, 9, 6, 13, 24, 41, 5, 2)
checkTime(2019, 9, 7, 22, 17, 23, 6, 2)
checkTime(2019, 9, 8, 18, 46, 30, 7, 2)
checkTime(2019, 9, 9, 14, 34, 38, 1, 2)
checkTime(2019, 9, 10, 3, 10, 6, 2, 2)
checkTime(2019, 9, 11, 22, 10, 19, 3, 2)
checkTime(2019, 9, 12, 0, 52, 36, 4, 2)
checkTime(2019, 9, 13, 11, 20, 41, 5, 2)
checkTime(2019, 9, 14, 15, 14, 19, 6, 2)
checkTime(2019, 9, 15, 22, 18, 9, 7, 2)
checkTime(2019, 9, 16, 15, 46, 16, 1, 2)
checkTime(2019, 9, 17, 13, 38, 46, 2, 2)
checkTime(2019, 9, 18, 22, 7, 56, 3, 2)
checkTime(2019, 9, 19, 4, 40, 53, 4, 2)
checkTime(2019, 9, 20, 23, 8, 14, 5, 2)
checkTime(2019, 9, 21, 14, 28, 23, 6, 2)
checkTime(2019, 9, 22, 18, 59, 2, 7, 2)
checkTime(2019, 9, 23, 6, 10, 9, 1, 2)
checkTime(2019, 9, 24, 11, 59, 20, 2, 2)
checkTime(2019, 9, 25, 2, 12, 2, 3, 2)
checkTime(2019, 9, 26, 16, 58, 19, 4, 2)
checkTime(2019, 9, 27, 21, 12, 50, 5, 2)
checkTime(2019, 9, 28, 3, 15, 0, 6, 2)
checkTime(2019, 9, 29, 12, 16, 50, 7, 2)
checkTime(2019, 9, 30, 9, 50, 16, 1, 2)
--Time 2019-9-31 6:18:1 is not valid
checkTime(2019, 10, 1, 13, 36, 50, 2, 2)
checkTime(2019, 10, 2, 23, 6, 1, 3, 2)
checkTime(2019, 10, 3, 9, 20, 23, 4, 2)
checkTime(2019, 10, 4, 7, 3, 14, 5, 2)
checkTime(2019, 10, 5, 1, 43, 49, 6, 2)
checkTime(2019, 10, 6, 12, 12, 38, 7, 2)
checkTime(2019, 10, 7, 17, 20, 43, 1, 2)
checkTime(2019, 10, 8, 14, 49, 24, 2, 2)
checkTime(2019, 10, 9, 13, 32, 24, 3, 2)
checkTime(2019, 10, 10, 1, 23, 29, 4, 2)
checkTime(2019, 10, 11, 23, 39, 39, 5, 2)
checkTime(2019, 10, 12, 15, 43, 14, 6, 2)
checkTime(2019, 10, 13, 13, 23, 36, 7, 2)
checkTime(2019, 10, 14, 6, 30, 43, 1, 2)
checkTime(2019, 10, 15, 1, 13, 29, 2, 2)
checkTime(2019, 10, 16, 23, 10, 42, 3, 2)
checkTime(2019, 10, 17, 0, 39, 16, 4, 2)
checkTime(2019, 10, 18, 13, 44, 57, 5, 2)
checkTime(2019, 10, 19, 1, 42, 44, 6, 2)
checkTime(2019, 10, 20, 13, 29, 6, 7, 2)
checkTime(2019, 10, 21, 12, 0, 28, 1, 2)
checkTime(2019, 10, 22, 3, 28, 16, 2, 2)
checkTime(2019, 10, 23, 20, 7, 50, 3, 2)
checkTime(2019, 10, 24, 20, 13, 53, 4, 2)
checkTime(2019, 10, 25, 9, 6, 18, 5, 2)
checkTime(2019, 10, 26, 19, 52, 21, 6, 2)
checkTime(2019, 10, 27, 1, 25, 48, 7, 2)
checkTime(2019, 10, 28, 19, 40, 56, 1, 1)
checkTime(2019, 10, 29, 2, 34, 24, 2, 1)
checkTime(2019, 10, 30, 8, 34, 13, 3, 1)
checkTime(2019, 10, 31, 12, 37, 34, 4, 1)
checkTime(2019, 11, 1, 9, 53, 6, 5, 1)
checkTime(2019, 11, 2, 13, 29, 26, 6, 1)
checkTime(2019, 11, 3, 5, 42, 50, 7, 1)
checkTime(2019, 11, 4, 9, 57, 30, 1, 1)
checkTime(2019, 11, 5, 12, 22, 4, 2, 1)
checkTime(2019, 11, 6, 16, 13, 45, 3, 1)
checkTime(2019, 11, 7, 10, 1, 13, 4, 1)
checkTime(2019, 11, 8, 15, 39, 42, 5, 1)
checkTime(2019, 11, 9, 12, 43, 26, 6, 1)
checkTime(2019, 11, 10, 20, 26, 50, 7, 1)
checkTime(2019, 11, 11, 13, 44, 54, 1, 1)
checkTime(2019, 11, 12, 1, 58, 3, 2, 1)
checkTime(2019, 11, 13, 21, 2, 54, 3, 1)
checkTime(2019, 11, 14, 6, 25, 49, 4, 1)
checkTime(2019, 11, 15, 7, 43, 44, 5, 1)
checkTime(2019, 11, 16, 23, 44, 58, 6, 1)
checkTime(2019, 11, 17, 17, 23, 27, 7, 1)
checkTime(2019, 11, 18, 22, 34, 9, 1, 1)
checkTime(2019, 11, 19, 4, 27, 28, 2, 1)
checkTime(2019, 11, 20, 10, 30, 12, 3, 1)
checkTime(2019, 11, 21, 22, 42, 27, 4, 1)
checkTime(2019, 11, 22, 11, 1, 14, 5, 1)
checkTime(2019, 11, 23, 10, 51, 33, 6, 1)
checkTime(2019, 11, 24, 10, 48, 23, 7, 1)
checkTime(2019, 11, 25, 19, 57, 16, 1, 1)
checkTime(2019, 11, 26, 6, 31, 45, 2, 1)
checkTime(2019, 11, 27, 6, 52, 49, 3, 1)
checkTime(2019, 11, 28, 6, 49, 24, 4, 1)
checkTime(2019, 11, 29, 18, 23, 40, 5, 1)
checkTime(2019, 11, 30, 0, 26, 8, 6, 1)
--Time 2019-11-31 3:46:52 is not valid
checkTime(2019, 12, 1, 1, 49, 46, 7, 1)
checkTime(2019, 12, 2, 9, 12, 56, 1, 1)
checkTime(2019, 12, 3, 0, 28, 34, 2, 1)
checkTime(2019, 12, 4, 9, 47, 34, 3, 1)
checkTime(2019, 12, 5, 10, 33, 50, 4, 1)
checkTime(2019, 12, 6, 16, 44, 53, 5, 1)
checkTime(2019, 12, 7, 10, 5, 53, 6, 1)
checkTime(2019, 12, 8, 3, 49, 34, 7, 1)
checkTime(2019, 12, 9, 14, 32, 50, 1, 1)
checkTime(2019, 12, 10, 13, 43, 13, 2, 1)
checkTime(2019, 12, 11, 7, 49, 50, 3, 1)
checkTime(2019, 12, 12, 1, 36, 47, 4, 1)
checkTime(2019, 12, 13, 4, 5, 18, 5, 1)
checkTime(2019, 12, 14, 21, 32, 40, 6, 1)
checkTime(2019, 12, 15, 18, 36, 36, 7, 1)
checkTime(2019, 12, 16, 1, 30, 37, 1, 1)
checkTime(2019, 12, 17, 14, 59, 2, 2, 1)
checkTime(2019, 12, 18, 21, 54, 1, 3, 1)
checkTime(2019, 12, 19, 20, 42, 10, 4, 1)
checkTime(2019, 12, 20, 0, 15, 52, 5, 1)
checkTime(2019, 12, 21, 11, 37, 16, 6, 1)
checkTime(2019, 12, 22, 9, 57, 47, 7, 1)
checkTime(2019, 12, 23, 12, 1, 25, 1, 1)
checkTime(2019, 12, 24, 9, 28, 39, 2, 1)
checkTime(2019, 12, 25, 6, 48, 43, 3, 1)
checkTime(2019, 12, 26, 2, 5, 10, 4, 1)
checkTime(2019, 12, 27, 9, 58, 3, 5, 1)
checkTime(2019, 12, 28, 20, 27, 16, 6, 1)
checkTime(2019, 12, 29, 7, 31, 57, 7, 1)
checkTime(2019, 12, 30, 7, 1, 59, 1, 1)
checkTime(2019, 12, 31, 13, 57, 51, 2, 1)
checkTime(2020, 1, 1, 15, 11, 34, 3, 1)
checkTime(2020, 1, 2, 23, 49, 15, 4, 1)
checkTime(2020, 1, 3, 7, 14, 45, 5, 1)
checkTime(2020, 1, 4, 11, 46, 10, 6, 1)
checkTime(2020, 1, 5, 14, 16, 8, 7, 1)
checkTime(2020, 1, 6, 16, 59, 4, 1, 1)
checkTime(2020, 1, 7, 19, 45, 12, 2, 1)
checkTime(2020, 1, 8, 3, 55, 17, 3, 1)
checkTime(2020, 1, 9, 10, 56, 40, 4, 1)
checkTime(2020, 1, 10, 11, 30, 51, 5, 1)
checkTime(2020, 1, 11, 9, 58, 28, 6, 1)
checkTime(2020, 1, 12, 5, 34, 25, 7, 1)
checkTime(2020, 1, 13, 21, 2, 12, 1, 1)
checkTime(2020, 1, 14, 12, 54, 40, 2, 1)
checkTime(2020, 1, 15, 14, 12, 33, 3, 1)
checkTime(2020, 1, 16, 16, 2, 47, 4, 1)
checkTime(2020, 1, 17, 17, 43, 48, 5, 1)
checkTime(2020, 1, 18, 17, 31, 1, 6, 1)
checkTime(2020, 1, 19, 0, 26, 50, 7, 1)
checkTime(2020, 1, 20, 2, 37, 39, 1, 1)
checkTime(2020, 1, 21, 16, 27, 55, 2, 1)
checkTime(2020, 1, 22, 5, 25, 3, 3, 1)
checkTime(2020, 1, 23, 4, 26, 19, 4, 1)
checkTime(2020, 1, 24, 3, 14, 16, 5, 1)
checkTime(2020, 1, 25, 1, 24, 31, 6, 1)
checkTime(2020, 1, 26, 9, 54, 47, 7, 1)
checkTime(2020, 1, 27, 20, 16, 42, 1, 1)
checkTime(2020, 1, 28, 22, 46, 17, 2, 1)
checkTime(2020, 1, 29, 17, 50, 27, 3, 1)
checkTime(2020, 1, 30, 19, 16, 37, 4, 1)
checkTime(2020, 1, 31, 13, 1, 20, 5, 1)
checkTime(2020, 2, 1, 16, 0, 23, 6, 1)
checkTime(2020, 2, 2, 12, 53, 10, 7, 1)
checkTime(2020, 2, 3, 5, 1, 32, 1, 1)
checkTime(2020, 2, 4, 0, 17, 54, 2, 1)
checkTime(2020, 2, 5, 22, 34, 24, 3, 1)
checkTime(2020, 2, 6, 1, 41, 18, 4, 1)
checkTime(2020, 2, 7, 0, 25, 49, 5, 1)
checkTime(2020, 2, 8, 23, 16, 24, 6, 1)
checkTime(2020, 2, 9, 16, 49, 7, 7, 1)
checkTime(2020, 2, 10, 4, 40, 22, 1, 1)
checkTime(2020, 2, 11, 23, 38, 51, 2, 1)
checkTime(2020, 2, 12, 17, 11, 7, 3, 1)
checkTime(2020, 2, 13, 22, 56, 24, 4, 1)
checkTime(2020, 2, 14, 22, 8, 59, 5, 1)
checkTime(2020, 2, 15, 23, 9, 21, 6, 1)
checkTime(2020, 2, 16, 10, 44, 59, 7, 1)
checkTime(2020, 2, 17, 9, 4, 41, 1, 1)
checkTime(2020, 2, 18, 22, 12, 40, 2, 1)
checkTime(2020, 2, 19, 12, 10, 6, 3, 1)
checkTime(2020, 2, 20, 9, 1, 21, 4, 1)
checkTime(2020, 2, 21, 10, 50, 53, 5, 1)
checkTime(2020, 2, 22, 4, 10, 24, 6, 1)
checkTime(2020, 2, 23, 1, 46, 3, 7, 1)
checkTime(2020, 2, 24, 10, 46, 19, 1, 1)
checkTime(2020, 2, 25, 11, 1, 24, 2, 1)
checkTime(2020, 2, 26, 3, 32, 46, 3, 1)
checkTime(2020, 2, 27, 16, 48, 50, 4, 1)
checkTime(2020, 2, 28, 5, 5, 27, 5, 1)
checkTime(2020, 2, 29, 15, 48, 44, 6, 1)
--Time 2020-2-30 23:18:2 is not valid
--Time 2020-2-31 23:17:8 is not valid
checkTime(2020, 3, 1, 19, 58, 53, 7, 1)
checkTime(2020, 3, 2, 2, 22, 4, 1, 1)
checkTime(2020, 3, 3, 3, 2, 14, 2, 1)
checkTime(2020, 3, 4, 2, 14, 1, 3, 1)
checkTime(2020, 3, 5, 16, 37, 21, 4, 1)
checkTime(2020, 3, 6, 14, 40, 11, 5, 1)
checkTime(2020, 3, 7, 19, 42, 25, 6, 1)
checkTime(2020, 3, 8, 3, 4, 48, 7, 1)
checkTime(2020, 3, 9, 22, 56, 36, 1, 1)
checkTime(2020, 3, 10, 2, 28, 11, 2, 1)
checkTime(2020, 3, 11, 10, 25, 15, 3, 1)
checkTime(2020, 3, 12, 14, 55, 13, 4, 1)
checkTime(2020, 3, 13, 7, 32, 46, 5, 1)
checkTime(2020, 3, 14, 16, 38, 53, 6, 1)
checkTime(2020, 3, 15, 21, 8, 59, 7, 1)
checkTime(2020, 3, 16, 2, 12, 21, 1, 1)
checkTime(2020, 3, 17, 5, 25, 56, 2, 1)
checkTime(2020, 3, 18, 12, 37, 19, 3, 1)
checkTime(2020, 3, 19, 2, 27, 42, 4, 1)
checkTime(2020, 3, 20, 18, 30, 16, 5, 1)
checkTime(2020, 3, 21, 10, 23, 6, 6, 1)
checkTime(2020, 3, 22, 0, 23, 31, 7, 1)
checkTime(2020, 3, 23, 4, 59, 22, 1, 1)
checkTime(2020, 3, 24, 3, 9, 46, 2, 1)
checkTime(2020, 3, 25, 3, 30, 30, 3, 1)
checkTime(2020, 3, 26, 1, 46, 51, 4, 1)
checkTime(2020, 3, 27, 9, 20, 21, 5, 1)
checkTime(2020, 3, 28, 19, 44, 17, 6, 1)
checkTime(2020, 3, 29, 13, 17, 40, 7, 2)
checkTime(2020, 3, 30, 5, 16, 59, 1, 2)
checkTime(2020, 3, 31, 20, 34, 35, 2, 2)
checkTime(2020, 4, 1, 2, 11, 47, 3, 2)
checkTime(2020, 4, 2, 1, 13, 0, 4, 2)
checkTime(2020, 4, 3, 14, 35, 54, 5, 2)
checkTime(2020, 4, 4, 0, 16, 37, 6, 2)
checkTime(2020, 4, 5, 11, 58, 53, 7, 2)
checkTime(2020, 4, 6, 7, 45, 11, 1, 2)
checkTime(2020, 4, 7, 18, 45, 53, 2, 2)
checkTime(2020, 4, 8, 21, 57, 53, 3, 2)
checkTime(2020, 4, 9, 14, 37, 51, 4, 2)
checkTime(2020, 4, 10, 21, 14, 52, 5, 2)
checkTime(2020, 4, 11, 1, 35, 36, 6, 2)
checkTime(2020, 4, 12, 6, 30, 13, 7, 2)
checkTime(2020, 4, 13, 17, 58, 9, 1, 2)
checkTime(2020, 4, 14, 10, 44, 53, 2, 2)
checkTime(2020, 4, 15, 14, 7, 8, 3, 2)
checkTime(2020, 4, 16, 20, 56, 32, 4, 2)
checkTime(2020, 4, 17, 5, 41, 4, 5, 2)
checkTime(2020, 4, 18, 0, 28, 41, 6, 2)
checkTime(2020, 4, 19, 1, 17, 35, 7, 2)
checkTime(2020, 4, 20, 8, 18, 16, 1, 2)
checkTime(2020, 4, 21, 11, 36, 59, 2, 2)
checkTime(2020, 4, 22, 11, 28, 8, 3, 2)
checkTime(2020, 4, 23, 21, 40, 27, 4, 2)
checkTime(2020, 4, 24, 5, 4, 27, 5, 2)
checkTime(2020, 4, 25, 15, 22, 56, 6, 2)
checkTime(2020, 4, 26, 3, 14, 37, 7, 2)
checkTime(2020, 4, 27, 0, 41, 58, 1, 2)
checkTime(2020, 4, 28, 22, 25, 50, 2, 2)
checkTime(2020, 4, 29, 15, 20, 17, 3, 2)
checkTime(2020, 4, 30, 18, 25, 14, 4, 2)
--Time 2020-4-31 4:31:43 is not valid
checkTime(2020, 5, 1, 0, 2, 29, 5, 2)
checkTime(2020, 5, 2, 1, 4, 15, 6, 2)
checkTime(2020, 5, 3, 13, 7, 4, 7, 2)
checkTime(2020, 5, 4, 0, 58, 10, 1, 2)
checkTime(2020, 5, 5, 12, 40, 3, 2, 2)
checkTime(2020, 5, 6, 22, 33, 1, 3, 2)
checkTime(2020, 5, 7, 7, 57, 45, 4, 2)
checkTime(2020, 5, 8, 12, 10, 33, 5, 2)
checkTime(2020, 5, 9, 4, 34, 36, 6, 2)
checkTime(2020, 5, 10, 7, 57, 27, 7, 2)
checkTime(2020, 5, 11, 22, 46, 16, 1, 2)
checkTime(2020, 5, 12, 19, 41, 6, 2, 2)
checkTime(2020, 5, 13, 16, 16, 30, 3, 2)
checkTime(2020, 5, 14, 2, 55, 14, 4, 2)
checkTime(2020, 5, 15, 17, 21, 58, 5, 2)
checkTime(2020, 5, 16, 4, 38, 39, 6, 2)
checkTime(2020, 5, 17, 9, 56, 23, 7, 2)
checkTime(2020, 5, 18, 9, 38, 52, 1, 2)
checkTime(2020, 5, 19, 17, 21, 56, 2, 2)
checkTime(2020, 5, 20, 16, 46, 9, 3, 2)
checkTime(2020, 5, 21, 22, 45, 50, 4, 2)
checkTime(2020, 5, 22, 20, 6, 48, 5, 2)
checkTime(2020, 5, 23, 8, 19, 40, 6, 2)
checkTime(2020, 5, 24, 13, 21, 16, 7, 2)
checkTime(2020, 5, 25, 9, 50, 49, 1, 2)
checkTime(2020, 5, 26, 7, 13, 16, 2, 2)
checkTime(2020, 5, 27, 2, 35, 5, 3, 2)
checkTime(2020, 5, 28, 22, 14, 37, 4, 2)
checkTime(2020, 5, 29, 13, 55, 28, 5, 2)
checkTime(2020, 5, 30, 20, 25, 54, 6, 2)
checkTime(2020, 5, 31, 9, 42, 44, 7, 2)
checkTime(2020, 6, 1, 14, 1, 11, 1, 2)
checkTime(2020, 6, 2, 1, 37, 20, 2, 2)
checkTime(2020, 6, 3, 22, 47, 3, 3, 2)
checkTime(2020, 6, 4, 10, 18, 58, 4, 2)
checkTime(2020, 6, 5, 17, 32, 17, 5, 2)
checkTime(2020, 6, 6, 12, 42, 3, 6, 2)
checkTime(2020, 6, 7, 17, 14, 19, 7, 2)
checkTime(2020, 6, 8, 3, 29, 48, 1, 2)
checkTime(2020, 6, 9, 11, 49, 17, 2, 2)
checkTime(2020, 6, 10, 15, 46, 47, 3, 2)
checkTime(2020, 6, 11, 16, 1, 7, 4, 2)
checkTime(2020, 6, 12, 8, 14, 35, 5, 2)
checkTime(2020, 6, 13, 6, 4, 40, 6, 2)
checkTime(2020, 6, 14, 4, 55, 9, 7, 2)
checkTime(2020, 6, 15, 19, 53, 0, 1, 2)
checkTime(2020, 6, 16, 10, 5, 50, 2, 2)
checkTime(2020, 6, 17, 8, 15, 42, 3, 2)
checkTime(2020, 6, 18, 14, 32, 43, 4, 2)
checkTime(2020, 6, 19, 23, 4, 9, 5, 2)
checkTime(2020, 6, 20, 1, 45, 46, 6, 2)
checkTime(2020, 6, 21, 20, 7, 32, 7, 2)
checkTime(2020, 6, 22, 13, 49, 46, 1, 2)
checkTime(2020, 6, 23, 19, 24, 58, 2, 2)
checkTime(2020, 6, 24, 2, 56, 7, 3, 2)
checkTime(2020, 6, 25, 4, 4, 0, 4, 2)
checkTime(2020, 6, 26, 16, 24, 51, 5, 2)
checkTime(2020, 6, 27, 7, 46, 28, 6, 2)
checkTime(2020, 6, 28, 5, 19, 46, 7, 2)
checkTime(2020, 6, 29, 20, 18, 8, 1, 2)
checkTime(2020, 6, 30, 6, 36, 30, 2, 2)
--Time 2020-6-31 18:37:37 is not valid
checkTime(2020, 7, 1, 0, 45, 44, 3, 2)
checkTime(2020, 7, 2, 1, 30, 34, 4, 2)
checkTime(2020, 7, 3, 12, 38, 20, 5, 2)
checkTime(2020, 7, 4, 7, 47, 56, 6, 2)
checkTime(2020, 7, 5, 1, 25, 46, 7, 2)
checkTime(2020, 7, 6, 23, 11, 8, 1, 2)
checkTime(2020, 7, 7, 3, 21, 31, 2, 2)
checkTime(2020, 7, 8, 22, 23, 55, 3, 2)
checkTime(2020, 7, 9, 0, 37, 24, 4, 2)
checkTime(2020, 7, 10, 12, 12, 21, 5, 2)
checkTime(2020, 7, 11, 11, 33, 2, 6, 2)
checkTime(2020, 7, 12, 15, 4, 26, 7, 2)
checkTime(2020, 7, 13, 2, 54, 40, 1, 2)
checkTime(2020, 7, 14, 23, 15, 33, 2, 2)
checkTime(2020, 7, 15, 17, 30, 24, 3, 2)
checkTime(2020, 7, 16, 4, 36, 30, 4, 2)
checkTime(2020, 7, 17, 9, 26, 29, 5, 2)
checkTime(2020, 7, 18, 22, 29, 57, 6, 2)
checkTime(2020, 7, 19, 4, 54, 24, 7, 2)
checkTime(2020, 7, 20, 2, 23, 46, 1, 2)
checkTime(2020, 7, 21, 21, 2, 19, 2, 2)
checkTime(2020, 7, 22, 8, 26, 3, 3, 2)
checkTime(2020, 7, 23, 16, 18, 26, 4, 2)
checkTime(2020, 7, 24, 22, 9, 26, 5, 2)
checkTime(2020, 7, 25, 17, 53, 28, 6, 2)
checkTime(2020, 7, 26, 15, 44, 59, 7, 2)
checkTime(2020, 7, 27, 22, 33, 5, 1, 2)
checkTime(2020, 7, 28, 10, 17, 25, 2, 2)
checkTime(2020, 7, 29, 12, 0, 28, 3, 2)
checkTime(2020, 7, 30, 11, 50, 9, 4, 2)
checkTime(2020, 7, 31, 17, 17, 57, 5, 2)
checkTime(2020, 8, 1, 2, 26, 29, 6, 2)
checkTime(2020, 8, 2, 18, 41, 40, 7, 2)
checkTime(2020, 8, 3, 0, 53, 9, 1, 2)
checkTime(2020, 8, 4, 14, 24, 47, 2, 2)
checkTime(2020, 8, 5, 20, 31, 26, 3, 2)
checkTime(2020, 8, 6, 14, 29, 25, 4, 2)
checkTime(2020, 8, 7, 16, 41, 24, 5, 2)
checkTime(2020, 8, 8, 5, 29, 49, 6, 2)
checkTime(2020, 8, 9, 4, 12, 46, 7, 2)
checkTime(2020, 8, 10, 13, 17, 22, 1, 2)
checkTime(2020, 8, 11, 13, 20, 56, 2, 2)
checkTime(2020, 8, 12, 5, 41, 44, 3, 2)
checkTime(2020, 8, 13, 12, 40, 38, 4, 2)
checkTime(2020, 8, 14, 23, 8, 17, 5, 2)
checkTime(2020, 8, 15, 9, 43, 25, 6, 2)
checkTime(2020, 8, 16, 6, 25, 53, 7, 2)
checkTime(2020, 8, 17, 0, 2, 5, 1, 2)
checkTime(2020, 8, 18, 11, 29, 23, 2, 2)
checkTime(2020, 8, 19, 11, 56, 6, 3, 2)
checkTime(2020, 8, 20, 11, 36, 55, 4, 2)
checkTime(2020, 8, 21, 0, 8, 42, 5, 2)
checkTime(2020, 8, 22, 16, 50, 26, 6, 2)
checkTime(2020, 8, 23, 17, 48, 19, 7, 2)
checkTime(2020, 8, 24, 0, 12, 24, 1, 2)
checkTime(2020, 8, 25, 15, 20, 36, 2, 2)
checkTime(2020, 8, 26, 9, 2, 18, 3, 2)
checkTime(2020, 8, 27, 12, 28, 57, 4, 2)
checkTime(2020, 8, 28, 17, 51, 23, 5, 2)
checkTime(2020, 8, 29, 8, 23, 18, 6, 2)
checkTime(2020, 8, 30, 16, 16, 26, 7, 2)
checkTime(2020, 8, 31, 14, 12, 37, 1, 2)
checkTime(2020, 9, 1, 8, 52, 2, 2, 2)
checkTime(2020, 9, 2, 2, 51, 44, 3, 2)
checkTime(2020, 9, 3, 2, 7, 11, 4, 2)
checkTime(2020, 9, 4, 11, 55, 25, 5, 2)
checkTime(2020, 9, 5, 6, 25, 24, 6, 2)
checkTime(2020, 9, 6, 8, 28, 30, 7, 2)
checkTime(2020, 9, 7, 22, 9, 31, 1, 2)
checkTime(2020, 9, 8, 16, 28, 0, 2, 2)
checkTime(2020, 9, 9, 19, 3, 42, 3, 2)
checkTime(2020, 9, 10, 18, 53, 23, 4, 2)
checkTime(2020, 9, 11, 11, 3, 8, 5, 2)
checkTime(2020, 9, 12, 3, 55, 35, 6, 2)
checkTime(2020, 9, 13, 15, 53, 38, 7, 2)
checkTime(2020, 9, 14, 20, 28, 41, 1, 2)
checkTime(2020, 9, 15, 18, 2, 56, 2, 2)
checkTime(2020, 9, 16, 19, 26, 36, 3, 2)
checkTime(2020, 9, 17, 19, 32, 10, 4, 2)
checkTime(2020, 9, 18, 19, 9, 24, 5, 2)
checkTime(2020, 9, 19, 19, 5, 50, 6, 2)
checkTime(2020, 9, 20, 3, 17, 38, 7, 2)
checkTime(2020, 9, 21, 17, 51, 35, 1, 2)
checkTime(2020, 9, 22, 1, 21, 14, 2, 2)
checkTime(2020, 9, 23, 14, 0, 58, 3, 2)
checkTime(2020, 9, 24, 18, 47, 12, 4, 2)
checkTime(2020, 9, 25, 11, 28, 11, 5, 2)
checkTime(2020, 9, 26, 14, 11, 6, 6, 2)
checkTime(2020, 9, 27, 20, 45, 49, 7, 2)
checkTime(2020, 9, 28, 11, 39, 59, 1, 2)
checkTime(2020, 9, 29, 9, 50, 53, 2, 2)
checkTime(2020, 9, 30, 20, 11, 48, 3, 2)
--Time 2020-9-31 4:48:10 is not valid
checkTime(2020, 10, 1, 18, 17, 35, 4, 2)
checkTime(2020, 10, 2, 10, 16, 41, 5, 2)
checkTime(2020, 10, 3, 15, 16, 35, 6, 2)
checkTime(2020, 10, 4, 15, 44, 15, 7, 2)
checkTime(2020, 10, 5, 8, 56, 22, 1, 2)
checkTime(2020, 10, 6, 7, 16, 36, 2, 2)
checkTime(2020, 10, 7, 16, 3, 38, 3, 2)
checkTime(2020, 10, 8, 3, 1, 23, 4, 2)
checkTime(2020, 10, 9, 0, 49, 58, 5, 2)
checkTime(2020, 10, 10, 16, 29, 35, 6, 2)
checkTime(2020, 10, 11, 5, 29, 17, 7, 2)
checkTime(2020, 10, 12, 13, 40, 18, 1, 2)
checkTime(2020, 10, 13, 9, 47, 15, 2, 2)
checkTime(2020, 10, 14, 7, 36, 4, 3, 2)
checkTime(2020, 10, 15, 7, 57, 4, 4, 2)
checkTime(2020, 10, 16, 6, 4, 22, 5, 2)
checkTime(2020, 10, 17, 13, 33, 11, 6, 2)
checkTime(2020, 10, 18, 7, 48, 38, 7, 2)
checkTime(2020, 10, 19, 7, 37, 9, 1, 2)
checkTime(2020, 10, 20, 14, 42, 52, 2, 2)
checkTime(2020, 10, 21, 2, 38, 22, 3, 2)
checkTime(2020, 10, 22, 19, 14, 28, 4, 2)
checkTime(2020, 10, 23, 4, 31, 44, 5, 2)
checkTime(2020, 10, 24, 6, 43, 39, 6, 2)
checkTime(2020, 10, 25, 16, 40, 41, 7, 1)
checkTime(2020, 10, 26, 19, 9, 32, 1, 1)
checkTime(2020, 10, 27, 15, 6, 3, 2, 1)
checkTime(2020, 10, 28, 2, 28, 28, 3, 1)
checkTime(2020, 10, 29, 5, 14, 12, 4, 1)
checkTime(2020, 10, 30, 14, 36, 15, 5, 1)
checkTime(2020, 10, 31, 23, 25, 19, 6, 1)
checkTime(2020, 11, 1, 3, 36, 22, 7, 1)
checkTime(2020, 11, 2, 14, 41, 47, 1, 1)
checkTime(2020, 11, 3, 10, 26, 22, 2, 1)
checkTime(2020, 11, 4, 8, 46, 20, 3, 1)
checkTime(2020, 11, 5, 10, 2, 30, 4, 1)
checkTime(2020, 11, 6, 6, 43, 56, 5, 1)
checkTime(2020, 11, 7, 11, 48, 23, 6, 1)
checkTime(2020, 11, 8, 20, 34, 48, 7, 1)
checkTime(2020, 11, 9, 18, 55, 25, 1, 1)
checkTime(2020, 11, 10, 12, 57, 17, 2, 1)
checkTime(2020, 11, 11, 6, 45, 14, 3, 1)
checkTime(2020, 11, 12, 4, 56, 54, 4, 1)
checkTime(2020, 11, 13, 0, 50, 36, 5, 1)
checkTime(2020, 11, 14, 20, 12, 2, 6, 1)
checkTime(2020, 11, 15, 5, 49, 42, 7, 1)
checkTime(2020, 11, 16, 4, 53, 6, 1, 1)
checkTime(2020, 11, 17, 22, 59, 35, 2, 1)
checkTime(2020, 11, 18, 8, 6, 4, 3, 1)
checkTime(2020, 11, 19, 18, 52, 46, 4, 1)
checkTime(2020, 11, 20, 0, 16, 3, 5, 1)
checkTime(2020, 11, 21, 20, 19, 0, 6, 1)
checkTime(2020, 11, 22, 4, 38, 42, 7, 1)
checkTime(2020, 11, 23, 6, 40, 21, 1, 1)
checkTime(2020, 11, 24, 2, 16, 34, 2, 1)
checkTime(2020, 11, 25, 10, 42, 41, 3, 1)
checkTime(2020, 11, 26, 18, 44, 39, 4, 1)
checkTime(2020, 11, 27, 0, 20, 33, 5, 1)
checkTime(2020, 11, 28, 21, 16, 11, 6, 1)
checkTime(2020, 11, 29, 6, 40, 41, 7, 1)
checkTime(2020, 11, 30, 20, 19, 6, 1, 1)
--Time 2020-11-31 1:58:24 is not valid
checkTime(2020, 12, 1, 8, 22, 36, 2, 1)
checkTime(2020, 12, 2, 11, 54, 27, 3, 1)
checkTime(2020, 12, 3, 23, 16, 38, 4, 1)
checkTime(2020, 12, 4, 21, 50, 31, 5, 1)
checkTime(2020, 12, 5, 5, 3, 11, 6, 1)
checkTime(2020, 12, 6, 10, 57, 0, 7, 1)
checkTime(2020, 12, 7, 18, 1, 46, 1, 1)
checkTime(2020, 12, 8, 18, 35, 43, 2, 1)
checkTime(2020, 12, 9, 9, 34, 40, 3, 1)
checkTime(2020, 12, 10, 15, 51, 29, 4, 1)
checkTime(2020, 12, 11, 23, 41, 32, 5, 1)
checkTime(2020, 12, 12, 10, 8, 39, 6, 1)
checkTime(2020, 12, 13, 11, 41, 32, 7, 1)
checkTime(2020, 12, 14, 13, 55, 27, 1, 1)
checkTime(2020, 12, 15, 20, 25, 25, 2, 1)
checkTime(2020, 12, 16, 19, 12, 3, 3, 1)
checkTime(2020, 12, 17, 1, 7, 12, 4, 1)
checkTime(2020, 12, 18, 7, 53, 43, 5, 1)
checkTime(2020, 12, 19, 11, 57, 36, 6, 1)
checkTime(2020, 12, 20, 0, 8, 44, 7, 1)
checkTime(2020, 12, 21, 20, 2, 18, 1, 1)
checkTime(2020, 12, 22, 3, 32, 23, 2, 1)
checkTime(2020, 12, 23, 21, 59, 48, 3, 1)
checkTime(2020, 12, 24, 11, 26, 37, 4, 1)
checkTime(2020, 12, 25, 19, 43, 16, 5, 1)
checkTime(2020, 12, 26, 8, 11, 58, 6, 1)
checkTime(2020, 12, 27, 1, 27, 24, 7, 1)
checkTime(2020, 12, 28, 0, 9, 29, 1, 1)
checkTime(2020, 12, 29, 11, 10, 36, 2, 1)
checkTime(2020, 12, 30, 22, 59, 35, 3, 1)
checkTime(2020, 12, 31, 7, 33, 40, 4, 1)

print "Finished with all tests"
os.exit(0)
